(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     70447,       1708]
NotebookOptionsPosition[     67754,       1614]
NotebookOutlinePosition[     68737,       1648]
CellTagsIndexPosition[     68658,       1643]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{"CellContext", "\[Rule]", "Notebook"}]}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Modelowanie dynamiki epidemii",
 FontSize->48]], "Title",
 CellChangeTimes->{
  3.559948400406288*^9, {3.6942891224059153`*^9, 3.6942891280105915`*^9}}],

Cell[TextData[{
 StyleBox["Marcin Choi\:0144ski\nUniwersytet Warszawski\nWydzia\[LSlash] \
Matematyki, Informatyki i Mechaniki\nkierunek matematyka\n\
mc380398@mimuw.edu.pl",
  FontSize->24],
 StyleBox["\n",
  FontSize->36],
 StyleBox["\nO\:015bwiadczam, \:017ce projekt zosta\[LSlash] wykonany przeze \
mnie.\nWyra\:017cam zgod\:0119 na umieszczenie projektu na stronie \
internetowej kursu w portalu Moodle.",
  FontSize->24]
}], "Subtitle",
 CellChangeTimes->{{3.6942893465928235`*^9, 3.69428935546467*^9}, {
   3.6942893897902746`*^9, 3.694289413422739*^9}, {3.6942894622145233`*^9, 
   3.6942894745543547`*^9}, {3.694289514425728*^9, 3.6942896072394924`*^9}, 
   3.694600419500538*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Model SI", "Section",
 CellChangeTimes->{{3.6942897402192693`*^9, 3.694289741493744*^9}, 
   3.694289786641364*^9}],

Cell["\<\
Najprostszy model epidemiologiczny to model typu SI. W modelu tym opisujemy \
infekcj\:0119, na kt\[OAcute]r\:0105 osobniki rozwa\:017canej populacji nie \
uodparniaj\:0105 si\:0119. Wyr\[OAcute]\:017cniamy tylko dwie grupy - osoby \
zdrowe i osoby chore. Niech S(t) oznacza cz\:0119\:015b\[CAcute] populacji, \
kt\[OAcute]ra jest zdrowa, natomiast niech I(t) oznacza cz\:0119\:015b\
\[CAcute] populacji, kt\[OAcute]ra jest chora. Buduj\:0105c model, \
postulujemy, \:017ce\
\>", "Text",
 CellChangeTimes->{{3.6942898044806156`*^9, 3.6942898356545258`*^9}, {
   3.694289866036731*^9, 3.6942899175586743`*^9}, {3.6942899568867908`*^9, 
   3.694289963727668*^9}, {3.694290090867777*^9, 3.6942900991373053`*^9}, 
   3.6942902640500455`*^9, 3.6943238280432568`*^9}],

Cell[CellGroupData[{

Cell["\<\
wszystkie nowo narodzone osobniki s\:0105 zdrowe, infekcja rozprzestrzenia si\
\:0119 poziomo w populacji, nie ma transmisji pionowej;\
\>", "Item",
 CellChangeTimes->{{3.694289984101758*^9, 3.694290006010401*^9}, {
   3.694290107236497*^9, 3.694290107762185*^9}, {3.6942903064523706`*^9, 
   3.6942903074254117`*^9}, 3.6943239267185946`*^9, 3.6947914871756425`*^9}],

Cell[CellGroupData[{

Cell["\<\
infekcja rozprzestrzenia si\:0119 przez kontakt mi\:0119dzy osobnikami \
podatnymi i chorymi;\
\>", "Subitem",
 CellChangeTimes->{{3.694289999001525*^9, 3.6942900078312798`*^9}},
 FontSize->14],

Cell["\<\
kontakty mi\:0119dzy osobnikami s\:0105 losowe, ich liczba jest \
proporcjonalna do liczebno\:015bci poszczeg\[OAcute]lnych klas osobnik\
\[OAcute]w;\
\>", "Subitem",
 CellChangeTimes->{{3.694289969754422*^9, 3.6942899697604284`*^9}, {
  3.69429002429583*^9, 3.6942900314314456`*^9}},
 FontSize->14],

Cell["\<\
po przebyciu infekcji osobniki zdrowiej\:0105 i wracaj\:0105 do grupy \
podatnych.\
\>", "Subitem",
 CellChangeTimes->{{3.694290050932725*^9, 3.6942900559142933`*^9}},
 FontSize->14]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "Przy tych za\[LSlash]o\:017ceniach, skaluj\:0105c wielko\:015b\[CAcute] \
populacji do 1, otrzymujemy uk\[LSlash]ad dw\[OAcute]ch r\[OAcute]wna\:0144:\n\
(1) S\[CloseCurlyQuote] = \[Mu] \[Minus] \[Beta] I S + \[Gamma] I \[Minus] \
\[Mu] S, \n(2) I\[CloseCurlyQuote] = \[Beta] I S\[Minus] \[Gamma] I \[Minus]\
\[Mu] I,\ngdzie: \n\[Bullet] S, I - proporcje os\[OAcute]b podatnych i \
chorych w populacji, S + I = 1,\n\[Bullet] \[Mu] - \
wsp\[OAcute]\[LSlash]czynnik rozrodczo\:015bci/\:015bmiertelno\:015bci,\n\
\[Bullet]  \[Beta]",
 StyleBox["-",
  FontWeight->"Bold"],
 "  wsp\[OAcute]\[LSlash]czynnik kontakt\[OAcute]w/zaka\:017ano\:015bci, kt\
\[OAcute]ry odzwierciedla cz\:0119\:015b\[CAcute] kontakt\[OAcute]w prowadz\
\:0105cych do zachorowania,\n\[Bullet]  \[Gamma] wsp\[OAcute]\[LSlash]czynnik \
wyzdrowie\:0144, 1/\[Gamma] odzwierciedla \:015bredni czas trwania infekcji.\n"
}], "Text",
 CellChangeTimes->{{3.694290134139914*^9, 3.6942903031462584`*^9}, {
  3.6942903982283926`*^9, 3.694290403948306*^9}, {3.694317655027273*^9, 
  3.694317741978524*^9}, {3.6943177830374146`*^9, 3.694317785954269*^9}, {
  3.6943178239528313`*^9, 3.6943178457293663`*^9}, {3.6943238469808245`*^9, 
  3.6943238529166317`*^9}, {3.694323900377351*^9, 3.6943239010441847`*^9}, {
  3.6945997465377803`*^9, 3.694599752421238*^9}, {3.694791513468554*^9, 
  3.694791534020215*^9}, {3.6964430890910378`*^9, 3.6964430996331615`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.694290252076763*^9, 3.694290254770388*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Wygasanie epidemii", "Subsection",
 CellChangeTimes->{{3.694318578613945*^9, 3.6943185858496695`*^9}}],

Cell[TextData[{
 "Oznaczmy ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["R", "0"]}], TraditionalForm]]],
 "=",
 StyleBox[" ",
  FontSize->18],
 Cell[BoxData[
  FormBox[
   FractionBox["\[Beta]", 
    RowBox[{"\[Gamma]", "+", "\[Mu]"}]], TraditionalForm]],
  FontSize->18],
 ". Wsp\[OAcute]\[LSlash]czynnik ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "0"], TraditionalForm]]],
 " nazywamy podstawowym progiem odnowienia dla danej infekcji. Je\:017celi",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["R", "0"]}], TraditionalForm]]],
 " \[LessSlantEqual] 1, to (S, I) \[RightArrow] (1, 0) dla t \[RightArrow] \
\[Infinity], czyli infekcja wygasa i populacja wraca do normalnego stanu. Je\
\:017celi ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "0"], TraditionalForm]]],
 " > 1, to (S, I) \[LongRightArrow] ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      SubscriptBox["R", "0"]], ",", 
     RowBox[{"1", "-", 
      FormBox[
       FractionBox["1", 
        SubscriptBox["R", "0"]],
       TraditionalForm]}]}], ")"}], TraditionalForm]]],
 "  dla t \[RightArrow] \[Infinity], czyli infekcja nie wygasa - ustala si\
\:0119 stan epidemii. Dynamik\:0119 epidemii modeluje si\:0119 za pomoc\:0105 \
portretu fazowego, kt\[OAcute]ry przedstawia zale\:017cno\:015b\[CAcute] \
rozwi\:0105za\:0144 uk\[LSlash]adu r\[OAcute]wna\:0144 opisuj\:0105cego \
modelu.  W kodzie zag\:0119szczenie (w kolejnych cz\:0119\:015bciach projektu \
- liczebno\:015b\[CAcute]) populacji os\[OAcute]b zainfekowanych oznacza si\
\:0119 przez J zamiast I.",
 StyleBox["\n",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.6943185892415485`*^9, 3.694318606156724*^9}, {
  3.6943189109911346`*^9, 3.694318916503828*^9}, {3.6943189556255217`*^9, 
  3.6943190157667885`*^9}, {3.694319181246097*^9, 3.6943194191786156`*^9}, {
  3.6943196530419493`*^9, 3.6943197674908147`*^9}, {3.6943198350159283`*^9, 
  3.694319859060577*^9}, {3.6943201136288657`*^9, 3.6943201457387805`*^9}, {
  3.6943202220501857`*^9, 3.6943203025437255`*^9}, {3.6943203341811934`*^9, 
  3.6943203451309214`*^9}, {3.69459823488948*^9, 3.6945982530966477`*^9}, {
  3.6946077914824915`*^9, 3.694607854842432*^9}, {3.694791769962032*^9, 
  3.6947918768507423`*^9}, {3.6947919482452307`*^9, 3.6947919588329787`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["Manipulate",
   FontSize->12], 
  StyleBox["[",
   FontSize->12], 
  StyleBox["\n",
   FontSize->12], 
  RowBox[{
   StyleBox[
    RowBox[{"Show", "[", " ", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"wektory", " ", "pola"}], ",", " ", 
       RowBox[{"pokazuje", " ", "kierunek", " ", "rozwi\:0105za\:0144"}], ",",
        " ", 
       RowBox[{
       "kolor", " ", "strza\[LSlash]ek", " ", "obrazuje", " ", "norm\:0119", 
        " ", "wektor\[OAcute]w", " ", "pola"}]}], "*)"}], "\n", 
     RowBox[{
      RowBox[{"StreamPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Mu]", "-", 
           RowBox[{"\[Beta]", "*", "S", "*", "J"}], "+", 
           RowBox[{"\[Gamma]", "*", "J"}], "-", 
           RowBox[{"\[Mu]", "*", "S"}]}], ",", 
          RowBox[{
           RowBox[{"\[Beta]", "*", "S", "*", "J"}], "-", 
           RowBox[{"\[Gamma]", "*", "J"}], "-", 
           RowBox[{"\[Mu]", "*", "J"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"S", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"J", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"RegionFunction", "\[Rule]", 
         RowBox[{"Function", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"S", ",", "J"}], "}"}], ",", 
           RowBox[{
            RowBox[{"S", "+", "J"}], "\[LessEqual]", "1"}]}], "]"}]}], ",", 
        " ", 
        RowBox[{"StreamColorFunction", "\[Rule]", "Hue"}], ",", 
        RowBox[{"FrameLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"S", ",", "J"}], "}"}]}]}], "]"}], ",", "\n", 
      RowBox[{"(*", " ", 
       RowBox[{"izokliny", " ", "zerowe"}], "*)"}], " ", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Mu]", "*", "S"}], "-", "\[Mu]"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[Beta]"}], "*", "S"}], "+", "\[Gamma]"}], 
            ")"}]}], ",", "0.005"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"S", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Brown", ",", "Gray"}], "}"}]}]}], "]"}], ",", "\n", 
      RowBox[{"(*", "   ", 
       RowBox[{
        RowBox[{
         RowBox[{"krzywa", " ", "daj\:0105ca", " ", "warunek", " ", "S"}], 
         "+", "I"}], "\[LessEqual]", "1"}], " ", "*)"}], " ", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"1", "-", "S"}], ",", 
        RowBox[{"{", 
         RowBox[{"S", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", "Dashed"}], "}"}]}]}], "]"}], ",", "\n", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "+", "\[Mu]"}], ")"}], "/", "\[Beta]"}], ",", 
          "J"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"J", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Gray", ",", "Dashed"}], "}"}]}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}], ",", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"sprawdzanie", ",", " ", 
        RowBox[{"czy", " ", "epidemia", " ", "wyga\:015bnie"}]}], " ", "*)"}],
       "\n", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Beta]", "/", 
          RowBox[{"(", 
           RowBox[{"\[Gamma]", "+", "\[Mu]"}], ")"}]}], "\[LessEqual]", "1"}],
         ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<epidemia wyga\:015bnie\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<epidemia nie wyga\:015bnie\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "]"}]}], "]"}], ",", 
      "\n", 
      RowBox[{"(*", " ", 
       RowBox[{"punkt", " ", "r\[OAcute]wnowagi"}], " ", "*)"}], " ", 
      RowBox[{"Graphics", "[", "   ", "\n", 
       RowBox[{"{", 
        RowBox[{"Pink", ",", 
         RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
         RowBox[{"Point", "[", " ", "\n", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"S", ",", "J"}], "}"}], "/.", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"\[Mu]", "-", 
                RowBox[{"\[Beta]", "*", "S", "*", "J"}], "+", 
                RowBox[{"\[Gamma]", "*", "J"}], "-", 
                RowBox[{"\[Mu]", "*", "S"}]}], "\[Equal]", "0"}], " ", "&&", 
              " ", 
              RowBox[{
               RowBox[{
                RowBox[{"\[Beta]", "*", "S", "*", "J"}], "-", 
                RowBox[{"\[Gamma]", "*", "J"}], "-", 
                RowBox[{"\[Mu]", "*", "J"}]}], "\[Equal]", "0"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"S", ",", "J"}], "}"}]}], "]"}]}], "\n", "]"}]}], " ", 
        "}"}], "     ", "\n", " ", "]"}]}], "\n", "]"}],
    FontSize->12], 
   StyleBox["\n",
    FontSize->12], 
   StyleBox[",",
    FontSize->12], 
   StyleBox[
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", "0.0001", ",", "1"}], "}"}],
    FontSize->12], 
   StyleBox[",",
    FontSize->12], 
   StyleBox[
    RowBox[{"{", 
     RowBox[{"\[Beta]", ",", "0.0001", ",", "1"}], "}"}],
    FontSize->12], 
   StyleBox[",",
    FontSize->12], 
   StyleBox[
    RowBox[{"{", 
     RowBox[{"\[Gamma]", ",", "0.0001", ",", "1"}], "}"}],
    FontSize->12], 
   StyleBox[",",
    FontSize->12], 
   RowBox[{
    StyleBox["SaveDefinitions",
     FontSize->12], 
    StyleBox["\[Rule]",
     FontSize->12], "True"}]}], 
  StyleBox["]",
   FontSize->12]}]], "Input",
 CellChangeTimes->{{3.694322452354831*^9, 3.6943224524039497`*^9}, {
  3.6971899195986814`*^9, 3.697189933730797*^9}, {3.700240095600527*^9, 
  3.700240104659334*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Beta]$$ = 
    0.0001, $CellContext`\[Gamma]$$ = 0.0001, $CellContext`\[Mu]$$ = 
    0.23600000000000002`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Mu]$$], 0.0001, 1}, {
      Hold[$CellContext`\[Beta]$$], 0.0001, 1}, {
      Hold[$CellContext`\[Gamma]$$], 0.0001, 1}}, Typeset`size$$ = {
    396., {194., 200.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Mu]$4151$$ = 
    0, $CellContext`\[Beta]$4152$$ = 0, $CellContext`\[Gamma]$4153$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`\[Beta]$$ = 
        0.0001, $CellContext`\[Gamma]$$ = 0.0001, $CellContext`\[Mu]$$ = 
        0.0001}, "ControllerVariables" :> {
        Hold[$CellContext`\[Mu]$$, $CellContext`\[Mu]$4151$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$4152$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$4153$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        StreamPlot[{$CellContext`\[Mu]$$ - $CellContext`\[Beta]$$ \
$CellContext`S $CellContext`J + $CellContext`\[Gamma]$$ $CellContext`J - \
$CellContext`\[Mu]$$ $CellContext`S, $CellContext`\[Beta]$$ $CellContext`S \
$CellContext`J - $CellContext`\[Gamma]$$ $CellContext`J - \
$CellContext`\[Mu]$$ $CellContext`J}, {$CellContext`S, 0, 1}, {$CellContext`J,
           0, 1}, RegionFunction -> 
         Function[{$CellContext`S, $CellContext`J}, $CellContext`S + \
$CellContext`J <= 1], StreamColorFunction -> Hue, 
         FrameLabel -> {$CellContext`S, $CellContext`J}], 
        Plot[{($CellContext`\[Mu]$$ $CellContext`S - \
$CellContext`\[Mu]$$)/((-$CellContext`\[Beta]$$) $CellContext`S + \
$CellContext`\[Gamma]$$), 0.005}, {$CellContext`S, 0, 1}, PlotRange -> 
         Automatic, PlotStyle -> {Brown, Gray}], 
        Plot[
        1 - $CellContext`S, {$CellContext`S, 0, 1}, PlotRange -> Automatic, 
         PlotStyle -> {Black, Dashed}], 
        ParametricPlot[{($CellContext`\[Gamma]$$ + \
$CellContext`\[Mu]$$)/$CellContext`\[Beta]$$, $CellContext`J}, \
{$CellContext`J, 0, 1}, PlotStyle -> {Gray, Dashed}, Frame -> True], 
        If[$CellContext`\[Beta]$$/($CellContext`\[Gamma]$$ + $CellContext`\
\[Mu]$$) <= 1, 
         Graphics[
          Text["epidemia wyga\:015bnie", {1, 1}, {1, 0}]], 
         Graphics[
          Text["epidemia nie wyga\:015bnie", {1, 1}, {1, 0}]]], 
        Graphics[{Pink, 
          PointSize[0.03], 
          Point[
           ReplaceAll[{$CellContext`S, $CellContext`J}, 
            NSolve[
             
             And[$CellContext`\[Mu]$$ - $CellContext`\[Beta]$$ $CellContext`S \
$CellContext`J + $CellContext`\[Gamma]$$ $CellContext`J - \
$CellContext`\[Mu]$$ $CellContext`S == 
              0, $CellContext`\[Beta]$$ $CellContext`S $CellContext`J - \
$CellContext`\[Gamma]$$ $CellContext`J - $CellContext`\[Mu]$$ $CellContext`J == 
              0], {$CellContext`S, $CellContext`J}]]]}]], 
      "Specifications" :> {{$CellContext`\[Mu]$$, 0.0001, 
         1}, {$CellContext`\[Beta]$$, 0.0001, 1}, {$CellContext`\[Gamma]$$, 
         0.0001, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{445., {269., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.6946389693758907`*^9, 3.6947925952846727`*^9, 
  3.6949375728997507`*^9, 3.6964307757424793`*^9, 3.697892934300482*^9, 
  3.698581797480179*^9, 3.6985933887642727`*^9, 3.700240155272833*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Symulacja modelu", "Section",
 CellChangeTimes->{{3.6942897402192693`*^9, 3.694289741493744*^9}, 
   3.694289786641364*^9, {3.6946005849358068`*^9, 3.694600587074218*^9}}],

Cell["\<\
Kiedy znane s\:0105 warto\:015bci wszystkich parametr\[OAcute]w \
opisuj\:0105cych model epidemiologiczny oraz warto\:015bci pocz\:0105tkowe \
funkcji, czyli liczba osobnik\[OAcute]w chorych i zainfekowanych, mo\:017cna \
przeprowadzi\[CAcute] symulacj\:0119 modelu za pomoc\:0105 modelu \
dyskretnego, przy u\:017cyciu na przyk\[LSlash]ad dyskretyzacji metod\:0105 \
Eulera.  W symulacji u\:017cyto zmodyfikowanego modelu opisanego \
r\[OAcute]wnaniami r\[OAcute]\:017cniczkowymi: 
(1) S\[CloseCurlyQuote] = \[Lambda] \[Minus] \[Beta] I S + \[Gamma] I \
\[Minus] \[Delta] S, \t(2) I\[CloseCurlyQuote] = \[Beta] I S\[Minus] \[Gamma] \
I \[Minus]\[Delta] I - \[Alpha] I ,
gdzie \[Lambda] - sta\[LSlash]y nap\[LSlash]yw osobnik\[OAcute]w do \
populacji, \[Delta] - wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci \
naturalnej, \[Alpha]- wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci \
zwi\:0105zanej z chorob\:0105, Dzi\:0119ki zmianom opis dynamiki populacji \
jest bardziej realistyczny. W symulacji uwzgl\:0119dniono g\[OAcute]rny i \
dolny pr\[OAcute]g liczebno\:015bci populacji, dzi\:0119ki czemu mo\:017cna \
sprawdza\[CAcute], w kt\[OAcute]rym momencie populacja mo\:017ce wygin\:0105\
\[CAcute] powodu epidemii lub kiedy nast\:0105pi przeludnienie - je\:017celi \
za\[LSlash]o\:017cymy brak infekcji.
\
\>", "Text",
 CellChangeTimes->{{3.6945987049612484`*^9, 3.6945987430413094`*^9}, {
   3.6945988505506926`*^9, 3.6945988980021152`*^9}, 3.694598935039909*^9, {
   3.694599196495327*^9, 3.6945992944232807`*^9}, {3.694599379477742*^9, 
   3.694599381788946*^9}, {3.694599667960951*^9, 3.6945996979170046`*^9}, {
   3.694599758588931*^9, 3.6945999603534856`*^9}, {3.694600078324687*^9, 
   3.69460022082536*^9}, {3.6946004008688817`*^9, 3.694600401826733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   StyleBox["Manipulate",
    FontSize->12], 
   StyleBox["[",
    FontSize->12], 
   StyleBox["   ",
    FontSize->12], 
   StyleBox[
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "pure", " ", "function", " ", "na", " ", "obliczenie", " ", "liczby", 
       " ", "os\[OAcute]b", " ", "zdrowych", " ", "i", " ", "chorych"}], ",", 
      " ", 
      RowBox[{
      "podw\[OAcute]jna", " ", "NestWhile", " ", "List", "  ", "z", " ", 
       "ograniczeniami", " ", "na", " ", "maksymaln\:0105", " ", "i", " ", 
       "minimaln\:0105", " ", "liczb\:0119", " ", "populacji"}]}], " ", "*)"}],
    FontSize->12], 
   StyleBox["\[IndentingNewLine]",
    FontSize->12], 
   RowBox[{
    StyleBox[
     RowBox[{
      RowBox[{"bezinfekcji", "=", 
       RowBox[{"NestWhileList", "[", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"0", ",", 
              RowBox[{"Round", "[", " ", 
               RowBox[{"naplyw", "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", " ", "as"}], ")"}], "*", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], " ", "-", 
                RowBox[{"beta", "*", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "*", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "   ", "+", 
                RowBox[{"gamma", "*", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}]}], "  ", "]"}]}], "]"}], 
            ",", 
            RowBox[{"Max", "[", 
             RowBox[{"0", ",", 
              RowBox[{"Round", "[", "  ", 
               RowBox[{
                RowBox[{"beta", "*", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "*", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], " ", "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", " ", 
                   RowBox[{"(", 
                    RowBox[{"ac", "+", "as", "+", "gamma"}], ")"}]}], ")"}], 
                 "*", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], "]"}]}], "}"}],
           "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"S0", ",", "I0"}], "}"}], ",", 
         RowBox[{
          RowBox[{"up", ">", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", 
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}], ">", "down"}], "&"}], 
         ",", "1", ",", "okres"}], "]"}]}], "  ", ";", "\[IndentingNewLine]", 
      
      RowBox[{"(*", " ", 
       RowBox[{
       "tworzenie", " ", "tabeli", " ", "w", " ", "celu", " ", "wykonania", 
        " ", "wykresu", " ", "ListPlot"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"bezinfekcji", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "bezinfekcji", "]"}]}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"dwa", " ", "wykresy"}], ",", " ", 
        RowBox[{
        "jeden", " ", "dotycz\:0105cy", " ", "os\[OAcute]b", " ", 
         "zdrowych"}], ",", " ", 
        RowBox[{
        "drugi", " ", "dotycz\:0105cy", " ", "os\[OAcute]b", " ", 
         "chorych"}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"wykres", "=", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"bezinfekcji", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{"Length", "[", "bezinfekcji", "]"}]}], "}"}]}], 
              "]"}], ",", "\"\<zdrowi\>\""}], "]"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Labeled", "[", "  ", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"bezinfekcji", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{"Length", "[", "bezinfekcji", "]"}]}], "}"}]}], 
              "]"}], ",", "\"\<chorzy\>\""}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox[
     RowBox[{"(*", " ", 
      RowBox[{
      "przypisywanie", " ", "etykietom", " ", "nazwy", " ", "zmiennych", " ", 
       "z", " ", "warto\:015bciami", " ", "pocz\:0105tkowymi"}], " ", "*)"}],
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"S0", ",", "100", ",", "\"\<liczba zdrowych\>\""}], "}"}], 
       ",", "10", ",", "500", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"I0", ",", "100", ",", "\"\<liczba chorych\>\""}], "}"}], ",",
        "10", ",", "500", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"naplyw", ",", "1", ",", "\"\<przyrost\>\""}], "}"}], ",", 
       "1", ",", "30", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox["\[IndentingNewLine]",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"up", ",", "1000", ",", "\"\<granica g\[OAcute]rna\>\""}], 
        "}"}], ",", "500", ",", "1000", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"down", ",", "5", ",", "\"\<granica dolna\>\""}], "}"}], ",", 
       "1", ",", "100", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "okres", ",", "30", ",", "\"\<ilo\:015b\[CAcute] jednostek\>\""}], 
        "}"}], ",", "1", ",", "100", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "as", ",", "0.001", ",", 
         "\"\<wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci naturalnej\
\>\""}], "}"}], ",", "0.001", ",", "0.95"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "gamma", ",", "0.001", ",", 
         "\"\<wsp\[OAcute]\[LSlash]czynnik wyzdrowienia\>\""}], "}"}], ",", 
       "0.001", ",", "0.999"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "beta", ",", "0.001", ",", 
         "\"\<wsp\[OAcute]\[LSlash]czynnik transmisji\>\""}], "}"}], ",", 
       "0.001", ",", "0.999"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ac", ",", "0.001", ",", 
         "\"\<wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci \
zwi\:0105zany z chorob\:0105\>\""}], "}"}], ",", "0.001", ",", "0.999"}], 
      "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    RowBox[{
     StyleBox["SaveDefinitions",
      FontSize->12], 
     StyleBox["\[Rule]",
      FontSize->12], "True"}]}], 
   StyleBox["]",
    FontSize->12]}]}]], "Input",
 CellChangeTimes->{{3.694638696874714*^9, 3.694638701547521*^9}, {
   3.6946387766164236`*^9, 3.694638778548092*^9}, {3.694638917871027*^9, 
   3.6946389767597504`*^9}, {3.6946677490351353`*^9, 
   3.6946678002716446`*^9}, {3.694667907957693*^9, 3.6946679166815233`*^9}, 
   3.6946679472036667`*^9, {3.6946679878892307`*^9, 3.694668008952701*^9}, {
   3.695711869383276*^9, 3.6957119100195646`*^9}, {3.695712011055812*^9, 
   3.695712045115693*^9}, {3.695712840394452*^9, 3.695712860786566*^9}, {
   3.6957130001889973`*^9, 3.695713005375448*^9}, {3.695713042982031*^9, 
   3.695713128463592*^9}, {3.6957132260680113`*^9, 3.695713238029836*^9}, {
   3.695713279406669*^9, 3.695713379298684*^9}, {3.695713421946447*^9, 
   3.695713469395531*^9}, {3.6957135221870737`*^9, 3.695713536886066*^9}, {
   3.695713573665867*^9, 3.6957136241069794`*^9}, {3.695713664900548*^9, 
   3.695713666653041*^9}, {3.69571397544427*^9, 3.6957139783245344`*^9}, {
   3.695714210865717*^9, 3.6957142695008264`*^9}, {3.69571430437831*^9, 
   3.695714308377618*^9}, {3.6957213243233013`*^9, 3.6957213245616975`*^9}, {
   3.695721367494176*^9, 3.6957213678322268`*^9}, {3.6957972135295486`*^9, 
   3.6957972337272625`*^9}, {3.696158719643064*^9, 3.6961587232781973`*^9}, {
   3.6961587571340647`*^9, 3.696158805363282*^9}, {3.6961588591296644`*^9, 
   3.696158898566817*^9}, 3.697189967591815*^9, {3.700240116988488*^9, 
   3.700240124740013*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ac$$ = 0.034, $CellContext`as$$ = 
    0.089, $CellContext`beta$$ = 0.216, $CellContext`down$$ = 
    11, $CellContext`gamma$$ = 0.226, $CellContext`I0$$ = 
    114, $CellContext`naplyw$$ = 2, $CellContext`okres$$ = 
    30, $CellContext`S0$$ = 100, $CellContext`up$$ = 1000, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`S0$$], 100, "liczba zdrowych"}, 10, 500, 1}, {{
       Hold[$CellContext`I0$$], 100, "liczba chorych"}, 10, 500, 1}, {{
       Hold[$CellContext`naplyw$$], 1, "przyrost"}, 1, 30, 1}, {{
       Hold[$CellContext`up$$], 1000, "granica g\[OAcute]rna"}, 500, 1000, 
      1}, {{
       Hold[$CellContext`down$$], 5, "granica dolna"}, 1, 100, 1}, {{
       Hold[$CellContext`okres$$], 30, "ilo\:015b\[CAcute] jednostek"}, 1, 
      100, 1}, {{
       Hold[$CellContext`as$$], 0.001, 
       "wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci naturalnej"}, 
      0.001, 0.95}, {{
       Hold[$CellContext`gamma$$], 0.001, 
       "wsp\[OAcute]\[LSlash]czynnik wyzdrowienia"}, 0.001, 0.999}, {{
       Hold[$CellContext`beta$$], 0.001, 
       "wsp\[OAcute]\[LSlash]czynnik transmisji"}, 0.001, 0.999}, {{
       Hold[$CellContext`ac$$], 0.001, 
       "wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci zwi\:0105zany z \
chorob\:0105"}, 0.001, 0.999}}, Typeset`size$$ = {396., {105., 110.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`S0$4963$$ = 0, $CellContext`I0$4964$$ = 
    0, $CellContext`naplyw$4965$$ = 0, $CellContext`up$4966$$ = 
    0, $CellContext`down$4967$$ = 0, $CellContext`okres$4968$$ = 
    0, $CellContext`as$4969$$ = 0, $CellContext`gamma$4970$$ = 
    0, $CellContext`beta$4971$$ = 0, $CellContext`ac$4972$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ac$$ = 0.001, $CellContext`as$$ = 
        0.001, $CellContext`beta$$ = 0.001, $CellContext`down$$ = 
        5, $CellContext`gamma$$ = 0.001, $CellContext`I0$$ = 
        100, $CellContext`naplyw$$ = 1, $CellContext`okres$$ = 
        30, $CellContext`S0$$ = 100, $CellContext`up$$ = 1000}, 
      "ControllerVariables" :> {
        Hold[$CellContext`S0$$, $CellContext`S0$4963$$, 0], 
        Hold[$CellContext`I0$$, $CellContext`I0$4964$$, 0], 
        Hold[$CellContext`naplyw$$, $CellContext`naplyw$4965$$, 0], 
        Hold[$CellContext`up$$, $CellContext`up$4966$$, 0], 
        Hold[$CellContext`down$$, $CellContext`down$4967$$, 0], 
        Hold[$CellContext`okres$$, $CellContext`okres$4968$$, 0], 
        Hold[$CellContext`as$$, $CellContext`as$4969$$, 0], 
        Hold[$CellContext`gamma$$, $CellContext`gamma$4970$$, 0], 
        Hold[$CellContext`beta$$, $CellContext`beta$4971$$, 0], 
        Hold[$CellContext`ac$$, $CellContext`ac$4972$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`bezinfekcji = NestWhileList[{
           Max[0, 
            
            Round[$CellContext`naplyw$$ + (1 - $CellContext`as$$) 
              Part[#, 1] - $CellContext`beta$$ 
             Part[#, 1] (Part[#, 2]/(Part[#, 1] + 
              Part[#, 2])) + $CellContext`gamma$$ Part[#, 2]]], 
           Max[0, 
            
            Round[$CellContext`beta$$ 
              Part[#, 1] (Part[#, 2]/(Part[#, 1] + Part[#, 2])) + (
               1 - ($CellContext`ac$$ + $CellContext`as$$ + \
$CellContext`gamma$$)) 
              Part[#, 2]]]}& , {$CellContext`S0$$, $CellContext`I0$$}, \
$CellContext`up$$ > Part[#, 1] + Part[#, 2] > $CellContext`down$$& , 
          1, $CellContext`okres$$]; Table[
         Part[
          Part[$CellContext`bezinfekcji, $CellContext`i], 1], {$CellContext`i,
           1, 
          Length[$CellContext`bezinfekcji]}]; $CellContext`wykres = 
        ListPlot[{
           Labeled[
            Table[
             Part[
              Part[$CellContext`bezinfekcji, $CellContext`i], 
              1], {$CellContext`i, 1, 
              Length[$CellContext`bezinfekcji]}], "zdrowi"], 
           Labeled[
            Table[
             Part[
              Part[$CellContext`bezinfekcji, $CellContext`i], 
              2], {$CellContext`i, 1, 
              Length[$CellContext`bezinfekcji]}], "chorzy"]}, Joined -> True, 
          PlotRange -> All]), 
      "Specifications" :> {{{$CellContext`S0$$, 100, "liczba zdrowych"}, 10, 
         500, 1}, {{$CellContext`I0$$, 100, "liczba chorych"}, 10, 500, 
         1}, {{$CellContext`naplyw$$, 1, "przyrost"}, 1, 30, 
         1}, {{$CellContext`up$$, 1000, "granica g\[OAcute]rna"}, 500, 1000, 
         1}, {{$CellContext`down$$, 5, "granica dolna"}, 1, 100, 
         1}, {{$CellContext`okres$$, 30, "ilo\:015b\[CAcute] jednostek"}, 1, 
         100, 1}, {{$CellContext`as$$, 0.001, 
          "wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci naturalnej"}, 
         0.001, 0.95}, {{$CellContext`gamma$$, 0.001, 
          "wsp\[OAcute]\[LSlash]czynnik wyzdrowienia"}, 0.001, 
         0.999}, {{$CellContext`beta$$, 0.001, 
          "wsp\[OAcute]\[LSlash]czynnik transmisji"}, 0.001, 
         0.999}, {{$CellContext`ac$$, 0.001, 
          "wsp\[OAcute]\[LSlash]czynnik \:015bmiertelno\:015bci zwi\:0105zany \
z chorob\:0105"}, 0.001, 0.999}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{915., {155., 162.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`bezinfekcji = {{100, 100}, {101, 100}, {
        102, 100}, {103, 100}, {104, 100}, {105, 100}, {106, 100}, {107, 
        100}, {108, 100}, {109, 100}, {110, 100}, {111, 100}, {112, 100}, {
        113, 100}, {114, 100}, {115, 100}, {116, 100}, {117, 100}, {118, 
        100}, {119, 100}, {120, 100}, {121, 100}, {122, 100}, {123, 100}, {
        124, 100}, {125, 100}, {126, 100}, {127, 100}, {128, 100}, {129, 
        100}, {130, 100}}, $CellContext`i = 11, $CellContext`wykres = 
       Graphics[{{}, {{{}, {}, 
            Annotation[{
              Hue[0.67, 0.6, 0.6], 
              Directive[
               PointSize[0.011000000000000001`], 
               RGBColor[0.368417, 0.506779, 0.709798], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJw1jDkKAkEQABcjQwMDA8FVREREvG935w1m3otg7Bd8mk/yCSpT1dAU1VDd
vD/3j1KSJI3f/hnnk0ceAofIoJcjX3ol8q1X4RHW6PU6vZ7S6y14gm16vUOv
d+n1HjzDPr0+oNeH9PoIXuCYXp/Q61N6fQavcE6vL+j1Jb2+gje4ptc39PqW
Xt/BAmaRqZ7zrwhf3XMtXA==
               "]]}, {{Labeled}, 
              Charting`Private`Tag$3215, {1}}], 
            Annotation[{
              Hue[0.9060679774997897, 0.6, 0.6], 
              Directive[
               PointSize[0.011000000000000001`], 
               RGBColor[0.880722, 0.611041, 0.142051], 
               AbsoluteThickness[1.6]], 
              Line[CompressedData["
1:eJxdyMkKQGAAxPEvJ0cHBwdlSZIk+749g5urcvbqHgGR8p+apt9Y6z5vkhDC
uHrvk2N8dpneY/pbhhVYhTVYh03Yhh3YhT3YhwM4hCM4hhM4hTM4hwu4hCu4
hhu4hTu4hwd4/HwCNXsiEw==
               "]]}, {{Labeled}, 
              Charting`Private`Tag$3215, {2}}]}}, {{{{{}, {
               GrayLevel[0.4], 
               AbsoluteThickness[0.5], {
                Line[{
                  Scaled[{0.02, 0}, {31., 130.}], 
                  Offset[{3, 0}, 
                   Scaled[{0.02, 0}, {31., 130.}]], 
                  Offset[{7, 0}, 
                   Scaled[{0.02, 0}, {31., 129.99948512733783`}]], 
                  Offset[{12, 0}, 
                   Scaled[{0.02, 0}, {31., 129.99948512733783`}]]}]}}, {
               Text[
                Style["zdrowi", {}], 
                Offset[{15, 0}, 
                 Scaled[{0.02, 0}, {31., 129.99948512733783`}]], 
                ImageScaled[{0, 0.5}]]}, {
               GrayLevel[0.4], 
               AbsoluteThickness[0.5], {{
                 Line[{
                   Scaled[{0.02, 0}, {31., 100.}], 
                   Offset[{5, 0}, 
                    Scaled[{0.02, 0}, {31., 100.}]], 
                   Offset[{7, 0}, 
                    Scaled[{0.02, 0}, {31., 100.0004973149718}]], 
                   Offset[{12, 0}, 
                    Scaled[{0.02, 0}, {31., 100.0004973149718}]]}]}, {
                 Text[
                  Style["chorzy", {}], 
                  Offset[{15, 0}, 
                   Scaled[{0.02, 0}, {31., 100.0004973149718}]], 
                  ImageScaled[{0, 0.5}]]}}}}}}, {{{}}}}}, {
         DisplayFunction -> Identity, PlotRangePadding -> {{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}}, AxesOrigin -> {0.53125, 98.50000000000001}, 
          PlotRange -> {{1., 31.}, {100., 130.}}, PlotRangeClipping -> False, 
          ImagePadding -> {{All, 55.2}, {All, All}}, DisplayFunction -> 
          Identity, AspectRatio -> GoldenRatio^(-1), Axes -> {True, True}, 
          AxesLabel -> {None, None}, 
          AxesOrigin -> {0.53125, 98.50000000000001}, DisplayFunction :> 
          Identity, Frame -> {{False, False}, {False, False}}, 
          FrameLabel -> {{None, None}, {None, None}}, 
          FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
          GridLines -> {None, None}, GridLinesStyle -> Directive[
            GrayLevel[0.5, 0.4]], 
          Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 
                 2][#]& )[
                 Part[#, 2]]}& )}}, PlotRange -> {{1., 31.}, {100., 130.}}, 
          PlotRangeClipping -> True, PlotRangePadding -> {{
             Scaled[0.02], 
             Scaled[0.02]}, {
             Scaled[0.05], 
             Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
       Attributes[Charting`Private`Tag$3215] = {Temporary}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.694638979664225*^9, 3.694667814718361*^9, 3.6946679208213463`*^9, 
   3.6946680583905225`*^9, 3.694792757727065*^9, 3.694937788022609*^9, 
   3.6957120485056367`*^9, {3.695712844807377*^9, 3.695712861529852*^9}, {
   3.6957130467900476`*^9, 3.695713082241244*^9}, {3.6957131187127047`*^9, 
   3.695713130391776*^9}, {3.695713232720641*^9, 3.6957133102414045`*^9}, {
   3.69571334316477*^9, 3.6957133802520504`*^9}, {3.695713424207671*^9, 
   3.6957134702430997`*^9}, {3.695713524216733*^9, 3.6957135374459467`*^9}, {
   3.695713575182562*^9, 3.695713624748971*^9}, 3.6957136674682226`*^9, 
   3.6957139162742686`*^9, 3.6957139797430334`*^9, {3.6957142251928663`*^9, 
   3.6957142719271097`*^9}, 3.695714309154134*^9, 3.695721326010889*^9, 
   3.6957213692130575`*^9, 3.6957971135320883`*^9, {3.6957972156158943`*^9, 
   3.6957972351638913`*^9}, 3.6958020232194357`*^9, 3.69615872524894*^9, 
   3.6961587587494884`*^9, {3.6961587888768764`*^9, 3.6961588060707855`*^9}, 
   3.6961588618275557`*^9, 3.696158898939365*^9, 3.69789296166039*^9, 
   3.69858179840493*^9, 3.698593389252941*^9, 3.700240155764481*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Szacowanie wsp\[OAcute]\[LSlash]czynnika transmisji choroby", "Section",
 CellChangeTimes->{{3.6942897402192693`*^9, 3.694289741493744*^9}, 
   3.694289786641364*^9, {3.6946005849358068`*^9, 3.694600587074218*^9}, {
   3.694600641797064*^9, 3.694600659305895*^9}}],

Cell["\<\
Wsp\[OAcute]\[LSlash]czynnik transmisji, oznaczany przez \[Beta], jest \
definiowany jako stopie\:0144, z jakim nast\:0119puje przeniesienie czynnika \
chorobotw\[OAcute]rczego z os\[OAcute]b zainfekowanych na osoby zdrowe, \
podatne na choroby. Wsp\[OAcute]\[LSlash]czynnik ten zale\:017cny mi\:0119dzy \
innymi od liczebno\:015bci os\[OAcute]b zdrowych i zainfekowanych w \
populacji, dlatego nie mo\:017cna okre\:015bli\[CAcute] sta\[LSlash]ej warto\
\:015bci wsp\[OAcute]\[LSlash]czynniki dla okre\:015blonej choroby. Wsp\
\[OAcute]\[LSlash]czynnik nale\:017cy oszacowa\[CAcute] dla \
poszczeg\[OAcute]lnego zestawu danych. W programie estymowana jest \
warto\:015b\[CAcute] wsp\[OAcute]\[LSlash]czynnika transmisji dla \
okre\:015blonych liczb os\[OAcute]b zdrowych i chorych. Wielko\:015b\[CAcute] \
populacji jest sta\[LSlash]a, liczebno\:015bci grupy os\[OAcute]b zdrowych w \
danym czasie s\:0105 wygenerowane losowo. Dla poszczeg\[OAcute]lnych warto\
\:015b\[CAcute] \[Beta] z przedzia\[LSlash]u [0,1] przeprowadzana jest \
symulacja modelu dla pocz\:0105tkowych wielko\:015bci subpopulacji \
os\[OAcute]b chorych i zdrowych, nast\:0119pnie obliczany jest kwadrat r\
\[OAcute]\:017cnicy liczby os\[OAcute]b zdrowych wyznaczonej symulacj\:0105 i \
liczby os\[OAcute]b zdrowych wygenerowanej losowo w czasie t, wszystkie r\
\[OAcute]\:017cnice s\:0105 zsumowane. Nie wyznacza si\:0119 \
kwadrat\[OAcute]w r\[OAcute]\:017cnic dla subpopulacji os\[OAcute]b chorych, \
gdy\:017c ze sta\[LSlash]o\:015bci liczebno\:015bci populacji wynika, \:017ce \
liczba os\[OAcute]b chorych jest zale\:017cna od liczby os\[OAcute]b \
zdrowych. Na ko\:0144cu wybiera si\:0119 t\:0119 warto\:015b\[CAcute] \[Beta] \
, dla kt\[OAcute]rych suma kwadrat\[OAcute]w r\[OAcute]\:017cnic jest \
najmniejsza.\
\>", "Text",
 CellChangeTimes->{{3.6946056995089874`*^9, 3.6946057201376486`*^9}, {
   3.6946061136733932`*^9, 3.694606216543731*^9}, {3.6946062695070124`*^9, 
   3.694606328727339*^9}, 3.6946065321232643`*^9, {3.6946066243985834`*^9, 
   3.694606779752557*^9}, {3.694607181056102*^9, 3.6946073238133755`*^9}, {
   3.694607554656021*^9, 3.6946077631564474`*^9}, {3.696417436681366*^9, 
   3.696417438264487*^9}, {3.6964174805521927`*^9, 3.6964175549680934`*^9}, {
   3.6964176591498632`*^9, 3.6964177038620605`*^9}, {3.69641777944963*^9, 
   3.6964177827443333`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{"SR", "=", 
    RowBox[{"RandomInteger", "[", 
     RowBox[{"100", ",", "10"}], "]"}]}], ";"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"JR", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"100", "-", 
        RowBox[{"SR", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "10"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}],
  FontSize->12], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"n", "=", "100"}], ";"}],
  FontSize->12], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"T", "=", 
    RowBox[{"Length", "[", "SR", "]"}]}],
   FontSize->12], 
  StyleBox[";",
   FontSize->12], 
  StyleBox[" ",
   FontSize->12], 
  RowBox[{
   StyleBox["Manipulate",
    FontSize->12], 
   StyleBox["[",
    FontSize->12], 
   StyleBox["  ",
    FontSize->12], 
   RowBox[{
    StyleBox[
     RowBox[{
      RowBox[{
       RowBox[{"Jt", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "T"}], "}"}]}], "]"}]}], ";", " ", 
       RowBox[{"St", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "T"}], "}"}]}], "]"}]}], ";", " ", 
       RowBox[{"betat", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"j", "/", "n"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"j", "=", "1"}], ",", 
        RowBox[{"j", "<", 
         RowBox[{"n", "+", "1"}]}], ",", 
        RowBox[{"j", "++"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"St", "[", 
            RowBox[{"[", "j", "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "=", 
          RowBox[{"SR", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "  ", 
         RowBox[{
          RowBox[{
           RowBox[{"Jt", "[", 
            RowBox[{"[", "j", "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "=", 
          RowBox[{"JR", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "    ", ";"}]}], "]"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"total", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"St", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", 
         RowBox[{
          RowBox[{"Jt", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", "1"}], ",", 
        RowBox[{"k", "<", 
         RowBox[{"n", "+", "1"}]}], ",", 
        RowBox[{"k", "++"}], ",", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "2"}], ",", 
          RowBox[{"i", "<", 
           RowBox[{"T", "+", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"St", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], "=", 
            RowBox[{"Round", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"St", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", 
                RowBox[{"i", "-", "1"}], "]"}], "]"}], "+", 
              RowBox[{
               RowBox[{"(", "total", ")"}], "*", "ni"}], "-", 
              RowBox[{
               RowBox[{"betat", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "*", 
               RowBox[{
                RowBox[{"St", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"i", "-", "1"}], "]"}], "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{"Jt", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "-", "1"}], "]"}], "]"}], "/", "total"}]}], 
              "+", 
              RowBox[{"gamma", "*", 
               RowBox[{
                RowBox[{"Jt", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"i", "-", "1"}], "]"}], "]"}]}], "-", 
              RowBox[{"ni", "*", 
               RowBox[{
                RowBox[{"St", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"i", "-", "1"}], "]"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Jt", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], "=", 
            RowBox[{"Round", "[", 
             RowBox[{"total", "-", 
              RowBox[{
               RowBox[{"St", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ";", " ", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Jt", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", "i", "]"}], "]"}], "<", "0"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Jt", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "[", 
               RowBox[{"[", "i", "]"}], "]"}], "=", "0"}]}], "]"}], ";"}]}], 
         "   ", "]"}]}], "]"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Sroznice", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "T"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", "1"}], ",", 
        RowBox[{"k", "<", 
         RowBox[{"n", "+", "1"}]}], ",", 
        RowBox[{"k", "++"}], ",", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "<", 
           RowBox[{"T", "+", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Sroznice", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], "=", 
            RowBox[{"Power", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"SR", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "-", 
               RowBox[{
                RowBox[{"St", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ",", "2"}], "]"}]}], 
           ";"}]}], "]"}]}], "]"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ssum", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", "1"}], ",", 
        RowBox[{"k", "<", 
         RowBox[{"n", "+", "1"}]}], ",", 
        RowBox[{"k", "++"}], ",", " ", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "<", 
           RowBox[{"T", "+", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Ssum", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "=", 
            RowBox[{
             RowBox[{"Ssum", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Sroznice", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}], ";"}]}], " ", "]"}]}], 
       "]"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"Position", "[", 
          RowBox[{"Ssum", ",", 
           RowBox[{"Min", "[", "Ssum", "]"}]}], "]"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"betaopt", "=", 
        RowBox[{"N", "[", 
         RowBox[{"betat", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"Position", "[", 
              RowBox[{"Ssum", ",", 
               RowBox[{"Min", "[", "Ssum", "]"}]}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "]"}]}], ";", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\"\<lista zdrowych\>\"", ",", "SR"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\"\<lista chorych\>\"", ",", "JR"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\"\<beta\>\"", ",", "betaopt"}], "}"}]}], "}"}], ",", 
         RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{"gamma", ",", "0.001", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{"ni", ",", "0.001", ",", "1"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"SynchronousUpdating", "\[Rule]", "False"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    RowBox[{
     StyleBox["SaveDefinitions",
      FontSize->12], 
     StyleBox["\[Rule]",
      FontSize->12], "True"}]}], 
   StyleBox["]",
    FontSize->12]}]}]}], "Input",
 CellChangeTimes->{{3.6934118903401017`*^9, 3.6934118906430745`*^9}, {
   3.693412671347885*^9, 3.693412675531934*^9}, {3.69341271304125*^9, 
   3.693413010534715*^9}, {3.6934130460801935`*^9, 3.693413081778784*^9}, {
   3.6934132038223677`*^9, 3.6934133098119955`*^9}, {3.6934133659998064`*^9, 
   3.6934134138604326`*^9}, {3.6934134524472046`*^9, 3.693413473697274*^9}, 
   3.693413528482441*^9, {3.693413574445009*^9, 3.6934135792013426`*^9}, 
   3.693413672098584*^9, {3.6934139022078457`*^9, 3.6934139060718565`*^9}, {
   3.6934139365709105`*^9, 3.6934139553995156`*^9}, {3.6934200306908917`*^9, 
   3.6934200405169697`*^9}, {3.6937725114859676`*^9, 
   3.6937725306914425`*^9}, {3.6937725711203947`*^9, 3.69377257399831*^9}, 
   3.693772677666788*^9, {3.6944519667958536`*^9, 3.6944519724972715`*^9}, {
   3.6945151081397266`*^9, 3.6945151095235987`*^9}, {3.6945152007550087`*^9, 
   3.6945152855795574`*^9}, {3.6946391819845653`*^9, 
   3.6946391951226454`*^9}, {3.694639226606079*^9, 3.6946392271337004`*^9}, {
   3.694639259156973*^9, 3.6946392600625415`*^9}, {3.6947073760683327`*^9, 
   3.6947073774890747`*^9}, 3.6947914609613156`*^9, {3.69493823259422*^9, 
   3.6949382364573803`*^9}, {3.6963575263554354`*^9, 3.696357561094925*^9}, {
   3.696357813562385*^9, 3.6963578598779173`*^9}, {3.6963579134805374`*^9, 
   3.6963579394674115`*^9}, {3.6963579946627445`*^9, 3.696357995052162*^9}, {
   3.696358107379938*^9, 3.6963582023371363`*^9}, {3.6963582730401497`*^9, 
   3.696358486453932*^9}, {3.696358645966916*^9, 3.696358664517465*^9}, {
   3.6963587109154024`*^9, 3.6963587234925027`*^9}, {3.6963589366698523`*^9, 
   3.6963589387638865`*^9}, {3.6964167642672176`*^9, 
   3.6964167738213716`*^9}, {3.6964169195942497`*^9, 
   3.6964169299852304`*^9}, {3.6964431833524303`*^9, 
   3.6964431902774935`*^9}, {3.6964432297748747`*^9, 3.696443230647665*^9}, {
   3.6964432681969204`*^9, 3.6964432700574102`*^9}, {3.696491824791442*^9, 
   3.696491850444456*^9}, {3.6978930450234823`*^9, 3.6978930620697203`*^9}, {
   3.698420936732516*^9, 3.698420944972785*^9}, {3.6984888164588194`*^9, 
   3.6984888200508876`*^9}, {3.698593374596779*^9, 3.698593380987422*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`gamma$$ = 0.001, $CellContext`ni$$ = 0.001, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`gamma$$], 0.001, 1}, {
      Hold[$CellContext`ni$$], 0.001, 1}}, Typeset`size$$ = {
    507., {27.34743642807007, 33.65256357192993}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`gamma$5217$$ = 0, $CellContext`ni$5218$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`gamma$$ = 0.001, $CellContext`ni$$ = 
        0.001}, "ControllerVariables" :> {
        Hold[$CellContext`gamma$$, $CellContext`gamma$5217$$, 0], 
        Hold[$CellContext`ni$$, $CellContext`ni$5218$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`Jt = 
         Table[0, {$CellContext`j, 1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`T}]; $CellContext`St = 
         Table[0, {$CellContext`j, 1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`T}]; $CellContext`betat = 
         Table[$CellContext`j/$CellContext`n, {$CellContext`j, 
            1, $CellContext`n}]; Null) 
       For[$CellContext`j = 1, $CellContext`j < $CellContext`n + 1, 
         Increment[$CellContext`j], Part[
            Part[$CellContext`St, $CellContext`j], 1] = 
          Part[$CellContext`SR, 1]; Part[
            Part[$CellContext`Jt, $CellContext`j], 1] = 
          Part[$CellContext`JR, 1]; Null] ($CellContext`total = Part[
            Part[$CellContext`St, 1], 1] + Part[
            Part[$CellContext`Jt, 1], 1]; Null) 
       For[$CellContext`k = 1, $CellContext`k < $CellContext`n + 1, 
         Increment[$CellContext`k], 
         For[$CellContext`i = 2, $CellContext`i < $CellContext`T + 1, 
          Increment[$CellContext`i], Part[
             Part[$CellContext`St, $CellContext`k], $CellContext`i] = 
           Round[Part[
               Part[$CellContext`St, $CellContext`k], $CellContext`i - 
               1] + $CellContext`total $CellContext`ni$$ - 
             Part[$CellContext`betat, $CellContext`k] Part[
               Part[$CellContext`St, $CellContext`k], $CellContext`i - 1] (
              Part[
                Part[$CellContext`Jt, $CellContext`k], $CellContext`i - 
                1]/$CellContext`total) + $CellContext`gamma$$ Part[
                Part[$CellContext`Jt, $CellContext`k], $CellContext`i - 
                1] - $CellContext`ni$$ Part[
               Part[$CellContext`St, $CellContext`k], $CellContext`i - 1]]; 
          Part[
             Part[$CellContext`Jt, $CellContext`k], $CellContext`i] = 
           Round[$CellContext`total - Part[
              Part[$CellContext`St, $CellContext`k], $CellContext`i]]; If[Part[
              Part[$CellContext`Jt, $CellContext`k], $CellContext`i] < 0, Part[
              Part[$CellContext`Jt, $CellContext`k], $CellContext`i] = 0]; 
          Null]] ($CellContext`Sroznice = 
         Table[0, {$CellContext`j, 1, $CellContext`n}, {$CellContext`i, 
            1, $CellContext`T}]; Null) 
       For[$CellContext`k = 1, $CellContext`k < $CellContext`n + 1, 
         Increment[$CellContext`k], 
         For[$CellContext`i = 1, $CellContext`i < $CellContext`T + 1, 
          Increment[$CellContext`i], Part[
             Part[$CellContext`Sroznice, $CellContext`k], $CellContext`i] = (
             Part[$CellContext`SR, $CellContext`i] - Part[
              Part[$CellContext`St, $CellContext`k], $CellContext`i])^2; 
          Null]] ($CellContext`Ssum = 
         Table[0, {$CellContext`j, 1, $CellContext`n}]; Null) 
       For[$CellContext`k = 1, $CellContext`k < $CellContext`n + 1, 
         Increment[$CellContext`k], 
         For[$CellContext`i = 1, $CellContext`i < $CellContext`T + 1, 
          Increment[$CellContext`i], 
          Part[$CellContext`Ssum, $CellContext`k] = 
           Part[$CellContext`Ssum, $CellContext`k] + Part[
              Part[$CellContext`Sroznice, $CellContext`k], $CellContext`i]; 
          Null]] (Part[
          Flatten[
           Position[$CellContext`Ssum, 
            Min[$CellContext`Ssum]]], 1]; Null) ($CellContext`betaopt = N[
           Part[$CellContext`betat, 
            Part[
             Flatten[
              Position[$CellContext`Ssum, 
               Min[$CellContext`Ssum]]], 1]]]; 
        Grid[{{"lista zdrowych", $CellContext`SR}, {
           "lista chorych", $CellContext`JR}, {"beta", $CellContext`betaopt}},
           Frame -> All]), 
      "Specifications" :> {{$CellContext`gamma$$, 0.001, 
         1}, {$CellContext`ni$$, 0.001, 1}}, 
      "Options" :> {SynchronousUpdating -> False}, "DefaultOptions" :> {}],
     ImageSizeCache->{556., {89., 95.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`Jt = CompressedData["
1:eJyly0kOwjAQBECLI7/gRyar9zV3/n/DYzskgmCD01JLJU3PzT06d0EILaHX
UPxr7l0/jJCkaSbkJVrRCoa7DB6UIEAR8k0AhftxppsAGvfhCDAVDeEBYIOY
ALiaCJeAvUYqFKBFE5PaOu/9sTjMvmkWadYiIk1Ek5TNomXphGOxskxJvCzr
Ny0xO4n/5T4lT0hltEifkFkKegK9bm4w
        "], $CellContext`j = 
       101, $CellContext`n = 100, $CellContext`i = 11, $CellContext`T = 
       10, $CellContext`St = CompressedData["
1:eJyly9kNwjAQBFDft3PhBmiJEiL+6f8Pb+yQCIINzkgjPWlnr/PjNhOE0D3W
xIZfc5nGoYckdd65l2xFK0yYMnRUggItkG8CiDD23m4C8DDGI4BVNMQHAI0y
CkBqcloC9uqtEoAWdUZySjDGx9Iw+yav0qxFTrIFTRI0y5bFE45lymIl6bIo
3oSW7KT+F/mUPCGR0SJ+QgwV9ASvKRyt
        "], $CellContext`betat = {
        1/100, 1/50, 3/100, 1/25, 1/20, 3/50, 7/100, 2/25, 9/100, 1/10, 11/
         100, 3/25, 13/100, 7/50, 3/20, 4/25, 17/100, 9/50, 19/100, 1/5, 21/
         100, 11/50, 23/100, 6/25, 1/4, 13/50, 27/100, 7/25, 29/100, 3/10, 31/
         100, 8/25, 33/100, 17/50, 7/20, 9/25, 37/100, 19/50, 39/100, 2/5, 41/
         100, 21/50, 43/100, 11/25, 9/20, 23/50, 47/100, 12/25, 49/100, 1/2, 
         51/100, 13/25, 53/100, 27/50, 11/20, 14/25, 57/100, 29/50, 59/100, 3/
         5, 61/100, 31/50, 63/100, 16/25, 13/20, 33/50, 67/100, 17/25, 69/100,
          7/10, 71/100, 18/25, 73/100, 37/50, 3/4, 19/25, 77/100, 39/50, 79/
         100, 4/5, 81/100, 41/50, 83/100, 21/25, 17/20, 43/50, 87/100, 22/25, 
         89/100, 9/10, 91/100, 23/25, 93/100, 47/50, 19/20, 24/25, 97/100, 49/
         50, 99/100, 1}, $CellContext`SR = {72, 57, 94, 47, 20, 41, 43, 29, 
        56, 42}, $CellContext`JR = {28, 43, 6, 53, 80, 59, 57, 71, 44, 
        58}, $CellContext`total = 100, $CellContext`k = 
       101, $CellContext`Sroznice = CompressedData["
1:eJzl1jtPAkEUBeArorCLyIIPfCu6aiwt6daExlI7S4yNjcbSkoSGDkpKEhpL
SksTGkp/gsk2lJR03sPZREM04otJWJJhNpNvHjs7uXNzl7fnNxERudJiC3/9
JZFVPOhfc0akarM42tSIi5Snzbrqssix1t01EX9WpDXHMiX0nejnzk2KWNr2
nOAco7ieYXeUFfHg10XyMZp6kvviaR9v9s2daZ3fUBsLzDz3FGPXhpyvrhuj
qWhxhWP7H7hCnCaa4poxNtbyGwdTSvHdsIZq4NpZnsfaJr/7qA4Gm4I5sIbu
O3ePvdoSbq6aksO+GBtrMemKK/pOWvfUFS2aaJp98U6NIdfc1rEtmkqabYPD
YJl3D1pf7Oi3tmmcDNtKP3A4uG1MkQvigJp6hm2T6BrqXrTuqOvbNO4C27Dn
xX90CJ7lXT2bifG5gsa9nLqTPcY7mNYEO8T5Ai4pl3G7FQJ3re7pC4d7zZSr
4pzuBznEmNzgfjbkHg0436Dz1Z0ejO6Q/3iLLIhhuJva33TIRybFpSN/55AH
hckhn/PUOYfhcMgPw+SQv96N2b0CBWqwsw==
        
        "], $CellContext`Ssum = CompressedData["
1:eJxTTMoPymNkYGBIAWLuMFTslcjA8DCZgUEvBRXXpzMwuGcxMPDkMjAY5UMw
eyEDw/4iBoZ5JQwMq8pRcXI1A0NZHSr2b4TgoBbs2L0DgXs6EXhSD3Ys2o8d
/wbiRRMQ+O9EBF42CYHPI+GqyQicNYWBgWk6BK/Hgu9AcfcM7NhoFnb8FAc+
PRuBATXHZuQ=
        "], $CellContext`betaopt = 0.01}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6964179400287724`*^9, 3.696417977676044*^9, 3.696430871217206*^9, 
   3.696443133637665*^9, 3.6964431937664814`*^9, 3.696443233109818*^9, {
   3.696443272430936*^9, 3.6964432959768*^9}, 3.6964917678131075`*^9, {
   3.6964918015563354`*^9, 3.696491851733844*^9}, 3.6964925723421545`*^9, 
   3.6971900051492705`*^9, 3.6971900429350615`*^9, 3.69789287627839*^9, 
   3.6978930503751254`*^9, 3.698420949921373*^9, 3.698421212913723*^9, 
   3.6984888318061523`*^9, 3.6984890202837553`*^9, 3.698581799303348*^9, 
   3.698593351600428*^9, 3.6985933896559067`*^9, 3.700240156047388*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowSize->{1350, 685},
WindowMargins->{{38, Automatic}, {Automatic, 0}},
TaggingRules->{"SlideShow" -> True},
CellContext->Notebook,
Magnification:>1.1 Inherited,
FrontEndVersion->"10.4 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 25, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[580, 22, 64, 1, 74, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[1764, 59, 64, 1, 74, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[5487, 150, 64, 1, 74, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18861, 492, 64, 1, 74, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[43852, 1070, 64, 1, 74, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 68194, 1629}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 64, 1, 74, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[647, 25, 174, 4, 31, "Input"],
Cell[CellGroupData[{
Cell[846, 33, 176, 3, 106, "Title"],
Cell[1025, 38, 690, 15, 288, "Subtitle"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1764, 59, 64, 1, 74, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[1853, 64, 121, 2, 71, "Section"],
Cell[1977, 68, 771, 12, 55, "Text"],
Cell[CellGroupData[{
Cell[2773, 84, 376, 6, 32, "Item"],
Cell[CellGroupData[{
Cell[3174, 94, 203, 5, 27, "Subitem"],
Cell[3380, 101, 309, 7, 27, "Subitem"],
Cell[3692, 110, 192, 5, 27, "Subitem"]
}, Open  ]]
}, Open  ]],
Cell[3911, 119, 1432, 22, 204, "Text"],
Cell[5346, 143, 92, 1, 31, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5487, 150, 64, 1, 74, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[5576, 155, 108, 1, 49, "Subsection"],
Cell[5687, 158, 2331, 59, 156, "Text"],
Cell[CellGroupData[{
Cell[8043, 221, 6480, 182, 284, "Input"],
Cell[14526, 405, 4274, 80, 562, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18861, 492, 64, 1, 74, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[18950, 497, 177, 2, 71, "Section"],
Cell[19130, 501, 1789, 27, 183, "Text"],
Cell[CellGroupData[{
Cell[20944, 532, 10775, 298, 410, "Input"],
Cell[31722, 832, 12069, 231, 335, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43852, 1070, 64, 1, 74, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[43941, 1075, 270, 3, 71, "Section"],
Cell[44214, 1080, 2368, 34, 183, "Text"],
Cell[CellGroupData[{
Cell[46607, 1118, 12342, 331, 356, "Input"],
Cell[58952, 1451, 8762, 158, 202, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

