(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     85946,       1987]
NotebookOptionsPosition[     84978,       1948]
NotebookOutlinePosition[     85325,       1963]
CellTagsIndexPosition[     85282,       1960]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Kalkulator sk\[LSlash]adki na \:015bwiadczenie emerytalne wraz z dodatkowym \
ubezpieczeniem na \:017cycie\
\>", "Title",
 CellChangeTimes->{{3.691835447755848*^9, 3.691835471101497*^9}}],

Cell[CellGroupData[{

Cell["Autor", "Section",
 CellChangeTimes->{{3.691835478926056*^9, 3.6918355143272867`*^9}, {
  3.6918355578152823`*^9, 3.6918355634823112`*^9}}],

Cell["\<\
Zuzanna Kasprowicz
nr indeksu 345168
zk345168@students.mimuw.edu.pl\
\>", "Subsection",
 CellChangeTimes->{{3.6918355707895384`*^9, 3.691835598435236*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Wydzia\[LSlash]", "Section",
 CellChangeTimes->{{3.6918356232909255`*^9, 3.691835632369404*^9}}],

Cell["\<\
Wydzia\[LSlash] Matematyki, Informatyki i Mechaniki, Uniwersytet Warszawski\
\>", "Subsection",
 CellChangeTimes->{{3.69183564099356*^9, 3.691835667960745*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Opis projektu", "Section",
 CellChangeTimes->{{3.691836590718809*^9, 3.6918366282481194`*^9}}],

Cell["\<\
Poni\:017cszy projekt to kalkulator, kt\[OAcute]ry pozwala w szybki spos\
\[OAcute]b policzy\[CAcute] sk\[LSlash]adk\:0119 NETTO na przysz\[LSlash]e \
\:015bwiadczenie emerytalne wyp\[LSlash]acane raz do roku. Sk\[LSlash]adka p\
\[LSlash]acona jest raz do roku. Aby pozna\[CAcute] wysoko\:015b\[CAcute] sk\
\[LSlash]adki nale\:017cy poda\[CAcute] dane dotycz\:0105ce \
P\[CapitalLSlash]CI i WIEKU ubezpieczonego, OKRES wp\[LSlash]acania sk\
\[LSlash]adek oraz oczekiwan\:0105 WYSOKO\:015a\[CapitalCAcute] emerytury. \
Kalkulator mo\:017ce uwzgl\:0119dni\[CAcute] tak\:017ce DODATKOWE \
ubezpieczenie na \:017cycie. Benefit ten jest wyp\[LSlash]acany rodzinie w \
razie \:015bmierci ubezpieczonego przed osi\:0105gni\:0119ciem wieku \
emerytalnego. Wysoko\:015b\[CAcute] dodatkowego \:015bwiadczenia to suma wp\
\[LSlash]aconych sk\[LSlash]adek do momentu \:015bmierci przemno\:017cona \
przez wsp\[OAcute]\[LSlash]czynnik \[Alpha] (z przedzia\[LSlash]u od 0 do 1).\
\>", "Text",
 CellChangeTimes->{{3.6918366607319407`*^9, 3.6918368388650537`*^9}, {
  3.6918368962283616`*^9, 3.6918369303491163`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Teoria i wzory :", "Section",
 CellChangeTimes->{{3.691837083425953*^9, 3.6918370997715716`*^9}}],

Cell[TextData[{
 "Naszym zadaniem jest znalezienie wysoko\:015bci sk\[LSlash]adki ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ", p\[LSlash]aconej raz do roku przez okres ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat, na \:015bwiadczenie emerytalne w wysoko\:015bci ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", dla osoby okre\:015blonej p\[LSlash]ci w wieku ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". W tym celu wprowadzimy kilka definicji i wzor\[OAcute]w pomocnych w rozwi\
\:0105zaniu problemu.\n\n",
 StyleBox["1. Elementy teorii oprocentowania", "Subsection"],
 "\n\n- Efektywna stopa oprocentowania ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 StyleBox["\n",
  FontSize->16,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0, 1]],
 "Je\:015bli dzi\:015b za\[LSlash]o\:017c\:0119 lokat\:0119 bankow\:0105 w \
wysoko\:015bci ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["k", "0"], TraditionalForm]]],
 ", to po roku otrzymam ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["k", "1"], TraditionalForm]]],
 Cell[BoxData[
  FormBox["=", TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SubscriptBox["k", Cell["0"]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "i"}], ")"}], TraditionalForm]]],
 ".\n\n- Czynnik dyskontuj\:0105cy ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "=", 
    FractionBox["1", 
     RowBox[{"1", "+", "i"}]]}], TraditionalForm]]],
 "\n\n",
 StyleBox["2. Elementy modelu demograficznego", "Subsection"],
 "\n\n",
 StyleBox["a) Podstawowe oznaczenia i zwi\:0105zki", "ItemParagraph"],
 "\n- ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[InvisiblePrefixScriptBase]", "t"], 
    SubscriptBox["p", "x"]}], TraditionalForm]]],
 " prawdopodobie\:0144stwo, \:017ce noworodek do\:017cyje wieku ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "t"}], TraditionalForm]]],
 " pod warunkiem, \:017ce prze\:017cy\[LSlash] ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " lat\n- ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[InvisiblePrefixScriptBase]", "t"], 
    SubscriptBox["q", "x"]}], TraditionalForm]]],
 " prawdopodobie\:0144stwo, \:017ce noworodek umrze przed \
osi\:0105gni\:0119ciem wieku ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "t"}], TraditionalForm]]],
 " pod warunkiem, \:017ce prze\:017cyje ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " lat\n\nOczywi\:015bcie zachodzi r\[OAcute]wno\:015b\[CAcute]: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", "t"], 
      SubscriptBox["p", "x"]}], "+", 
     RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", "t"], 
      SubscriptBox["q", "x"]}]}], "=", "1"}], TraditionalForm]]],
 ".\n\nZ definicji prawdopodobie\:0144stwa warunkowego mamy, \:017ce ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[InvisiblePrefixScriptBase]", "t"], 
     SubscriptBox["p", "x"]}], "=", 
    FractionBox[
     RowBox[{"s", "(", 
      RowBox[{"x", "+", "t"}], ")"}], 
     RowBox[{"s", "(", "x", ")"}]]}], TraditionalForm]]],
 ", gdzie ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "(", "x", ")"}], TraditionalForm]]],
 " prawdopodobie\:0144stwo, \:017ce noworodek prze\:017cyje ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " lat.\n\n",
 StyleBox["b) Tablice trwania \:017cycia", "ItemParagraph"],
 "\nAktualne tablice trwania \:017cycia w Polsce mo\:017cna znale\:017a\
\[CAcute] na stronie: \
http://stat.gov.pl/obszary-tematyczne/ludnosc/trwanie-zycia.\nInformacje, kt\
\[OAcute]re znajduj\:0105 si\:0119 w tablicach, s\:0105 niezb\:0119dne \
podczas obliczania sk\[LSlash]adki:\n\n-",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["l", "x"]}], TraditionalForm]]],
 " przeci\:0119tna liczba os\[OAcute]b do\:017cywaj\:0105cych wieku ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " spo\:015br\[OAcute]d pocz\:0105tkowej liczby ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["l", "0"], "=", "100000", " "}], TraditionalForm]]],
 "noworodk\[OAcute]w.\n\nZauwa\:017cmy, \:017ce ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "(", "x", ")"}], "=", 
    FractionBox[
     SubscriptBox["l", "x"], 
     SubscriptBox["l", "0"]]}], TraditionalForm]]],
 ".\n\n-",
 Cell[BoxData[
  FormBox[
   SubscriptBox["d", "x"], TraditionalForm]]],
 " przeci\:0119tna ilo\:015b\[CAcute] zgon\[OAcute]w w przedziale wieku od ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " do ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "1"}], TraditionalForm]]],
 ".\n\n",
 StyleBox["3. Renty \:017cyciowe", "Subsubsection"],
 "\n\n",
 StyleBox["a) Renta \:017cyciowa czasowa\n", "ItemParagraph"],
 "\nRenta \:017cyciowa ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " letnia polega na dokonywaniu wp\[LSlash]aty ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]]],
 " na pocz\:0105tku ka\:017cdego roku przez kolejnych ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat. Osoba ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " letnia dokonuje pierwszej wp\[LSlash]aty natychmiast, a ostatniej \
(EWENTUALNIE - istnieje mo\:017cliwo\:015b\[CAcute] przedwczesnej \
\:015bmierci) w wieku ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "n", "-", "1"}], TraditionalForm]]],
 ". Wz\[OAcute]r na rent\:0119 \:017cyciow\:0105 czasow\:0105 to:\n",
 StyleBox["\n",
  FontSize->16,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0, 1]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ADoubleDot]", 
      RowBox[{"x", " ", ":", "n"}]], "=", 
     RowBox[{
      UnderscriptBox[
       OverscriptBox["\[CapitalSigma]", 
        RowBox[{"n", "-", "1"}]], 
       RowBox[{"k", "=", "0"}]], 
      SuperscriptBox["v", 
       RowBox[{"k", " "}]], 
      SubscriptBox["", "k"], 
      SubscriptBox["p", 
       RowBox[{"x", " "}]]}]}],
    FontColor->GrayLevel[0]], TraditionalForm]],
  FontColor->GrayLevel[0.5]],
 ".\n\n",
 StyleBox["b) Renta \:017cyciowa bezterminowa odroczona", "ItemParagraph"],
 "\n\nPrzyk\[LSlash]adem takiej renty jest emerytura. Aktywny zawodowo ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " latek otrzymuje obietnic\:0119 regularnych corocznych \:015bwiadcze\:0144 \
w wysoko\:015bci ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]]],
 ", kt\[OAcute]re b\:0119d\:0105 mu wyp\[LSlash]acane pocz\:0105wszy od wieku \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "n"}], TraditionalForm]]],
 " a\:017c do ko\:0144ca \:017cycia (mo\:017ce si\:0119 zdarzy\[CAcute], \
\:017ce obecna warto\:015b\[CAcute] przysz\[LSlash]ych \:015bwiadcze\:0144 \
emerytalnych wyniesie ",
 Cell[BoxData[
  FormBox["0", TraditionalForm]]],
 " - gdy pracownik nie do\:017cyje wieku ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "n"}], TraditionalForm]]],
 "). Wz\[OAcute]r na warto\:015b\[CAcute] oczekiwan\:0105 obecnej \
warto\:015bci renty \:017cyciowej bezterminowej odroczonej o ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat to:\n",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       RowBox[{"n", "|"}]], 
      SubscriptBox["\[ADoubleDot]", 
       RowBox[{"x", " "}]]}], "=", 
     RowBox[{
      UnderscriptBox[
       OverscriptBox["\[CapitalSigma]", "\[Infinity]"], 
       RowBox[{"k", "=", "n"}]], 
      SuperscriptBox["v", 
       RowBox[{"k", " "}]], 
      SubscriptBox["", "k"], 
      SubscriptBox["p", 
       RowBox[{"x", " "}]]}]}],
    FontColor->GrayLevel[0]], TraditionalForm]],
  FontColor->GrayLevel[0.5]],
 ".\n\n",
 StyleBox["4. Polisa terminowa ze \:015bwiadczeniem ROSN\:0104CYM \
wyp\[LSlash]acanym na koniec roku \:015bmierci", "Subsection"],
 "\n\nJe\:015bli wa\:017cno\:015b\[CAcute] ubezpieczenia wynosi ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat to w przypadku \:015bmierci w pierwszym roku wa\:017cno\:015bci \
polisy, \:015bwiadczenie wyniesie 1, je\:015bli \:015bmier\[CAcute] \
nast\:0105pi w ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "-tym roku po zawarciu umowy ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"k", "<", "n"}], ")"}], TraditionalForm]]],
 " to \:015bwiadczenie wyniesie ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "+", "1"}], TraditionalForm]]],
 ". Wreszcie je\:015bli \:015bmier\[CAcute] nast\:0105pi w okresie ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "1"}], TraditionalForm]]],
 " do ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " po zawarciu umowy to \:015bwiadczenie wyniesie ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".\n\nWz\[OAcute]r na jednorazow\:0105 sk\[LSlash]adk\:0119 netto na \
ubezpieczenie terminowe na ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat ze \:015bwiadczeniem rosn\:0105cym to:\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox[
     RowBox[{"(", "IA", ")"}], 
     RowBox[{"x", ":", "n"}], "1"], 
    StyleBox["=",
     FontColor->GrayLevel[0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       UnderscriptBox[
        OverscriptBox["\[CapitalSigma]", 
         RowBox[{"n", "-", "1"}]], 
        RowBox[{"k", "=", "0"}]],
       FontColor->GrayLevel[0]], 
      StyleBox["(",
       FontColor->GrayLevel[0]], 
      RowBox[{
       StyleBox["1",
        FontColor->GrayLevel[0]], 
       StyleBox["+",
        FontColor->GrayLevel[0]], "k"}], 
      StyleBox[")",
       FontColor->GrayLevel[0]]}], 
     SubscriptBox[
      SuperscriptBox["v", 
       RowBox[{"k", " "}]], "k"], 
     StyleBox[
      SubscriptBox["p", 
       RowBox[{"x", " "}]],
      FontColor->GrayLevel[0]], 
     SubscriptBox["q", 
      RowBox[{"x", "+", "k"}]]}]}], TraditionalForm]]],
 ".\n\n\n",
 StyleBox["5. Actuarial Equivalence Principle", "Subsection"],
 "\n\nMetoda policzenia sk\[LSlash]adki na przysz\[LSlash]e \:015bwiadczenie \
emerytalne plus dodatkowe ubezpieczenie \:017cyciowe opiera si\:0119 na \
aktuarialnej zasadzie r\[OAcute]wnowa\:017cno\:015bci. To znaczy:\n \n",
 StyleBox["WARTO\:015a\[CapitalCAcute] OCZEKIWANIA OBECNEJ WARTO\:015aCI", 
  "Subsubsection"],
 StyleBox[" SK\[CapitalLSlash]ADEK", "Section"],
 StyleBox[" = WARTO\:015a\[CapitalCAcute] OCZEKIWANA OBECNEJ WARTO\:015aCI ", 
  "Subsubsection"],
 StyleBox["KORZY\:015aCI", "Section"],
 StyleBox["\n\n", "Subsubsection"],
 "Przypomnijmy, \:017ce chcemy otrzymywa\[CAcute] emerytur\:0119 w wysoko\
\:015bci ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Sk\[LSlash]adki w wysoko\:015bci ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " p\[LSlash]acone co roku przez okres ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat. Ubezpieczenie dla ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " latka. Zatem sk\[LSlash]adki p\[LSlash]acone b\:0119d\:0105 przez nast\
\:0119pne ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat, a nasze benefity to odroczona o ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " lat emerytura w wysoko\:015bci ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " na rok oraz wyp\[LSlash]acenie ewentualnego ubezpieczenia w razie \
przedwczesnej \:015bmierci. Ubezpieczenie to wyp\[LSlash]aca sum\:0119 wp\
\[LSlash]aconych sk\[LSlash]adek do czasu \:015bmierci przemno\:017con\:0105 \
przez wsp\[OAcute]\[LSlash]czynnik \[Alpha] \[Element] [0,1] (zauwa\:017cmy, \
\:017ce gdy \[Alpha]",
 Cell[BoxData[
  FormBox[
   RowBox[{"=", "0"}], TraditionalForm]]],
 " to rozwa\:017camy policzenie sk\[LSlash]adki tylko na \:015bwiadczenie \
emerytalne). Mamy zatem:\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"P", "\[CenterDot]", 
     SubscriptBox["\[ADoubleDot]", 
      RowBox[{"x", " ", ":", "n"}]]}], "=", 
    RowBox[{
     RowBox[{"E", "\[CenterDot]", 
      RowBox[{
       SubscriptBox["\[InvisiblePrefixScriptBase]", 
        RowBox[{"n", "|"}]], 
       SubscriptBox["\[ADoubleDot]", 
        RowBox[{"x", " "}]]}]}], "+", 
     RowBox[{
      SubsuperscriptBox[
       RowBox[{"(", "IA", ")"}], 
       RowBox[{"x", ":", "n"}], "1"], "\[CenterDot]", "\[Alpha]", 
      "\[CenterDot]", "P"}]}]}], TraditionalForm]]],
 ".\n\nSt\:0105d dostajemy wz\[OAcute]r na sk\[LSlash]adk\:0119:\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "=", 
    RowBox[{"E", 
     FractionBox[
      RowBox[{
       SubscriptBox["\[InvisiblePrefixScriptBase]", 
        RowBox[{"n", "|"}]], 
       SubscriptBox["\[ADoubleDot]", 
        RowBox[{"x", " "}]]}], 
      RowBox[{
       SubscriptBox["\[ADoubleDot]", 
        RowBox[{"x", " ", ":", "n"}]], "-", 
       RowBox[{
        SubsuperscriptBox[
         RowBox[{"(", "IA", ")"}], 
         RowBox[{"x", ":", "n"}], "1"], "\[CenterDot]", "\[Alpha]"}]}]]}]}], 
   TraditionalForm]], "Subsubsection"],
 "\n\n\n",
 StyleBox["6. Funkcje komutacyjne", "Subsection"],
 "\n\nAby u\[LSlash]atwi\[CAcute] obliczenia wszystkich warto\:015bci \
aktuarialnych skorzystamy z funkcji komutacyjnych i tablic trwania \
\:017cycia.",
 StyleBox["\n\n",
  FontSize->16,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[0, 0, 1]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["D", "x"], ":=", 
    RowBox[{
     SuperscriptBox["v", "x"], 
     SubscriptBox["l", "x"]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "x"], ":=", 
    RowBox[{
     SuperscriptBox["v", 
      RowBox[{"x", "+", "1"}]], 
     SubscriptBox["d", "x"]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "x"], ":=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "0"}], "\[Infinity]"], 
     SubscriptBox["C", 
      RowBox[{"x", "+", "k"}]]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["R", "x"], ":=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "0"}], "\[Infinity]"], 
     SubscriptBox["M", 
      RowBox[{"x", "+", "k"}]]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", "x"], ":=", " ", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"k", "=", "0"}], "\[Infinity]"], 
     SubscriptBox["D", 
      RowBox[{"x", "+", "k"}]]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[ADoubleDot]", 
     RowBox[{"x", " ", ":", "n"}]], "=", 
    FractionBox[
     RowBox[{
      SubscriptBox["N", "x"], "-", " ", 
      SubscriptBox["N", 
       RowBox[{"x", "+", "n"}]]}], 
     SubscriptBox["D", "x"]]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 StyleBox["\n",
  FontSize->16,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 StyleBox["\n",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[InvisiblePrefixScriptBase]", 
      RowBox[{"n", "|"}]], 
     SubscriptBox["\[ADoubleDot]", 
      RowBox[{"x", " "}]]}], "=", 
    FractionBox[
     SubscriptBox["N", 
      RowBox[{"x", "+", "n"}]], 
     SubscriptBox["D", "x"]]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 "\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox[
     RowBox[{"(", "IA", ")"}], 
     RowBox[{"x", ":", "n"}], "1"], "=", 
    FractionBox[
     RowBox[{
      SubscriptBox["R", "x"], "-", 
      SubscriptBox["R", 
       RowBox[{"x", "+", "n"}]], "-", 
      RowBox[{"n", "\[CenterDot]", 
       SubscriptBox["M", 
        RowBox[{"x", "+", "n"}]]}]}], 
     SubscriptBox["D", "x"]]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.691837174696987*^9, 3.6918373256685553`*^9}, {
   3.6918373785231895`*^9, 3.691837380124357*^9}, {3.691838060077814*^9, 
   3.6918380610264845`*^9}, {3.6918451846626716`*^9, 
   3.6918452134741955`*^9}, {3.6918455372578955`*^9, 3.69184554323516*^9}, {
   3.691845819325879*^9, 3.6918458253571777`*^9}, {3.6918458639717*^9, 
   3.6918458988295493`*^9}, {3.691846017281948*^9, 3.6918462503527727`*^9}, {
   3.6918463068059955`*^9, 3.6918463467814765`*^9}, {3.691846390239438*^9, 
   3.691846390993004*^9}, {3.6918465058247957`*^9, 3.6918465135413017`*^9}, {
   3.6918466130321846`*^9, 3.6918467927492642`*^9}, {3.691847157011794*^9, 
   3.691847336203458*^9}, {3.6918473961881948`*^9, 3.691847397529153*^9}, {
   3.6918474372915106`*^9, 3.6918474558066807`*^9}, {3.6918475082750654`*^9, 
   3.691847508577304*^9}, {3.691847571994461*^9, 3.6918478120505114`*^9}, {
   3.6918479181631145`*^9, 3.6918479282052727`*^9}, {3.69184796083053*^9, 
   3.6918479867410035`*^9}, {3.691848357043312*^9, 3.6918485832029734`*^9}, 
   3.691848630699829*^9, {3.691848685656971*^9, 3.691848742130237*^9}, {
   3.6918488135281096`*^9, 3.691848817078639*^9}, {3.6918489165815372`*^9, 
   3.691849156992834*^9}, {3.6918492076659393`*^9, 3.6918492330390177`*^9}, {
   3.691849269305832*^9, 3.6918493387723556`*^9}, {3.6918493906042585`*^9, 
   3.6918494077645025`*^9}, {3.691849438280258*^9, 3.691849521181325*^9}, {
   3.6918495694707108`*^9, 3.6918496475723815`*^9}, {3.6918496876289234`*^9, 
   3.691849870616294*^9}, {3.6918499128413916`*^9, 3.6918499504401813`*^9}, {
   3.691849982633119*^9, 3.691850147742752*^9}, {3.6918502934405556`*^9, 
   3.691850306145604*^9}, {3.691850554133786*^9, 3.691850712216696*^9}, {
   3.691850746432806*^9, 3.691850771880071*^9}, {3.6918508381134853`*^9, 
   3.6918515439769735`*^9}, {3.691856250551346*^9, 3.6918563122072473`*^9}, {
   3.6918563739192185`*^9, 3.6918564324629483`*^9}, {3.6918564900649757`*^9, 
   3.6918565270353165`*^9}, {3.6919069978989563`*^9, 
   3.6919071252857046`*^9}, {3.6919072947844925`*^9, 
   3.6919074787755733`*^9}, {3.691907518513915*^9, 3.691907527658431*^9}, {
   3.692885489651723*^9, 3.69288549477674*^9}, 3.6928855299021797`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Program :", "Section",
 CellChangeTimes->{{3.691837055830291*^9, 3.6918370672594056`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Zmienne", " ", "modeluj\:0105ce", " ", 
                    RowBox[{
                    "sytuacj\:0119", ":", "\[IndentingNewLine]", " ", "a"}]}],
                     ")"}], " ", "plec"}], " ", "-", " ", 
                    RowBox[{"okre\:015bla", " ", "p\[LSlash]e\[CAcute]", " ", 
                    RowBox[{
                    "ubezpieczonego", ".", "\[IndentingNewLine]", "   ", 
                    "b"}]}]}], ")"}], " ", "wiek"}], " ", "-", " ", 
                 RowBox[{"okre\:015bla", " ", "wiek", " ", 
                  RowBox[{
                  "ubezpieczonego", ".", "\[IndentingNewLine]", "      ", 
                   "c"}]}]}], ")"}], " ", "okres"}], " ", "-", " ", 
              RowBox[{
              "d\[LSlash]ugo\:015b\[CAcute]", " ", "p\[LSlash]acenia", " ", 
               "sk\[LSlash]adek", " ", "oraz", " ", "termin", " ", 
               RowBox[{
               "ubezpieczenia", ".", "\[IndentingNewLine]", "         ", 
                "d"}]}]}], ")"}], " ", "tso"}], " ", "-", " ", 
           RowBox[{"techniczna", " ", "stopa", " ", 
            RowBox[{
            "oprocentowania", ".", "\[IndentingNewLine]", "            ", 
             "e"}]}]}], ")"}], " ", "alpha"}], " ", "-", " ", 
        RowBox[{"wsp\[OAcute]\[LSlash]czynnik", " ", "z", " ", 
         RowBox[{"przedzia\[LSlash]u", " ", "[", 
          RowBox[{"0", ",", "1"}], "]"}], " ", "m\[OAcute]wi\:0105cy", " ", 
         "o", " ", "beneficie", " ", "wyp\[LSlash]acanym", " ", "rodzinie", 
         " ", "w", " ", "przypadku", " ", "wcze\:015bniejszej", " ", 
         "\:015bmierci", " ", 
         RowBox[{
         "ubezpieczonego", ".", "\[IndentingNewLine]", "               ", 
          "f"}]}]}], ")"}], " ", "em"}], " ", "-", " ", 
     RowBox[{"wysoko\:015b\[CAcute]", " ", "emerytury"}]}], ",", " ", 
    RowBox[{
    "jak\:0105", " ", "chcia\[LSlash]by", " ", "otrzymywa\[CAcute]", " ", 
     RowBox[{"ubezpieczony", "."}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "1.", " ", "Deklaracja", " ", "tablic", " ", "lx", " ", "i", " ", "dx", 
     " ", "oddzielnie", " ", "dla", " ", "m\:0119\:017cczyzn", " ", "i", " ", 
     "kobiet"}], "*)"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"lxm", " ", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"\"\<C:\\\\Users\\\\Zuza\\\\Desktop\\\\tablice.xls\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\"\<Data\>\"", ",", "26", ",", 
          RowBox[{"Table", "[", 
           RowBox[{"i", ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "5", ",", "105"}], "}"}]}], "]"}], ",", "3"}], 
         "}"}]}], "]"}]}], ";"}], " ", "*)"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "liczba", " ", "do\:017cywaj\:0105cych", " ", "m\:0119\:017cczyzn", " ", 
      "w", " ", "wieku", " ", "x", " ", "spo\:015br\[OAcute]d", " ", 
      SubscriptBox["l", "0"]}], "=", 
     RowBox[{"100000", " ", "noworodk\[OAcute]w"}]}], "*)"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"lxm", "=", 
      RowBox[{"{", 
       RowBox[{
       "100000.`", ",", "99560.`", ",", "99528.`", ",", "99508.`", ",", 
        "99494.`", ",", "99484.`", ",", "99475.`", ",", "99466.`", ",", 
        "99458.`", ",", "99449.`", ",", "99439.`", ",", "99427.`", ",", 
        "99414.`", ",", "99398.`", ",", "99381.`", ",", "99359.`", ",", 
        "99332.`", ",", "99295.`", ",", "99242.`", ",", "99174.`", ",", 
        "99091.`", ",", "98999.`", ",", "98905.`", ",", "98812.`", ",", 
        "98718.`", ",", "98623.`", ",", "98525.`", ",", "98423.`", ",", 
        "98319.`", ",", "98213.`", ",", "98104.`", ",", "97989.`", ",", 
        "97867.`", ",", "97738.`", ",", "97601.`", ",", "97453.`", ",", 
        "97293.`", ",", "97121.`", ",", "96935.`", ",", "96733.`", ",", 
        "96512.`", ",", "96271.`", ",", "96005.`", ",", "95712.`", ",", 
        "95389.`", ",", "95033.`", ",", "94639.`", ",", "94204.`", ",", 
        "93725.`", ",", "93197.`", ",", "92618.`", ",", "91982.`", ",", 
        "91286.`", ",", "90526.`", ",", "89697.`", ",", "88796.`", ",", 
        "87818.`", ",", "86760.`", ",", "85619.`", ",", "84391.`", ",", 
        "83075.`", ",", "81668.`", ",", "80169.`", ",", "78580.`", ",", 
        "76901.`", ",", "75134.`", ",", "73284.`", ",", "71352.`", ",", 
        "69343.`", ",", "67259.`", ",", "65102.`", ",", "62872.`", ",", 
        "60570.`", ",", "58193.`", ",", "55738.`", ",", "53202.`", ",", 
        "50583.`", ",", "47880.`", ",", "45097.`", ",", "42239.`", ",", 
        "39320.`", ",", "36356.`", ",", "33370.`", ",", "30386.`", ",", 
        "27435.`", ",", "24545.`", ",", "21747.`", ",", "19067.`", ",", 
        "16532.`", ",", "14162.`", ",", "11975.`", ",", "9986.`", ",", 
        "8200.`", ",", "6624.`", ",", "5257.`", ",", "4093.`", ",", "3124.`", 
        ",", "2333.`", ",", "1702.`", ",", "1212.`", ",", "840.`"}], "}"}]}], 
     ";", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"dxm", " ", "=", " ", 
        RowBox[{"Import", "[", 
         RowBox[{"\"\<C:\\\\Users\\\\Zuza\\\\Desktop\\\\tablice.xls\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Data\>\"", ",", "26", ",", 
            RowBox[{"Table", "[", 
             RowBox[{"i", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "5", ",", "105"}], "}"}]}], "]"}], ",", 
            "5"}], "}"}]}], "]"}]}], ";"}], " ", "*)"}], 
     RowBox[{"(*", 
      RowBox[{
      "liczba", " ", "zgon\[OAcute]w", " ", "w\:015br\[OAcute]d", " ", 
       "m\:0119\:017cczyzn", " ", "w", " ", "wieku", " ", "x"}], " ", "*)"}], 
     "\n", 
     RowBox[{"dxm", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
       "440.`", ",", "31.`", ",", "21.`", ",", "13.`", ",", "10.`", ",", 
        "9.`", ",", "9.`", ",", "9.`", ",", "9.`", ",", "10.`", ",", "11.`", 
        ",", "13.`", ",", "15.`", ",", "18.`", ",", "21.`", ",", "27.`", ",", 
        "38.`", ",", "52.`", ",", "69.`", ",", "83.`", ",", "92.`", ",", 
        "94.`", ",", "94.`", ",", "93.`", ",", "95.`", ",", "98.`", ",", 
        "102.`", ",", "104.`", ",", "106.`", ",", "109.`", ",", "115.`", ",", 
        "121.`", ",", "129.`", ",", "138.`", ",", "148.`", ",", "159.`", ",", 
        "172.`", ",", "186.`", ",", "202.`", ",", "221.`", ",", "242.`", ",", 
        "266.`", ",", "293.`", ",", "323.`", ",", "357.`", ",", "394.`", ",", 
        "435.`", ",", "479.`", ",", "527.`", ",", "580.`", ",", "636.`", ",", 
        "696.`", ",", "760.`", ",", "829.`", ",", "901.`", ",", "978.`", ",", 
        "1058.`", ",", "1141.`", ",", "1228.`", ",", "1317.`", ",", "1407.`", 
        ",", "1498.`", ",", "1589.`", ",", "1679.`", ",", "1766.`", ",", 
        "1851.`", ",", "1932.`", ",", "2009.`", ",", "2084.`", ",", "2157.`", 
        ",", "2229.`", ",", "2302.`", ",", "2377.`", ",", "2455.`", ",", 
        "2536.`", ",", "2619.`", ",", "2703.`", ",", "2784.`", ",", "2857.`", 
        ",", "2919.`", ",", "2964.`", ",", "2987.`", ",", "2983.`", ",", 
        "2951.`", ",", "2890.`", ",", "2798.`", ",", "2680.`", ",", "2535.`", 
        ",", "2370.`", ",", "2187.`", ",", "1989.`", ",", "1786.`", ",", 
        "1576.`", ",", "1367.`", ",", "1163.`", ",", "970.`", ",", "791.`", 
        ",", "631.`", ",", "490.`", ",", "371.`", ",", "274.`"}], "}"}]}], 
     ";", "\[IndentingNewLine]", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"lxk", " ", "=", " ", 
        RowBox[{"Import", "[", 
         RowBox[{"\"\<C:\\\\Users\\\\Zuza\\\\Desktop\\\\tablice.xls\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Data\>\"", ",", "26", ",", 
            RowBox[{"Table", "[", 
             RowBox[{"i", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "106", ",", "206"}], "}"}]}], "]"}], ",", 
            "3"}], "}"}]}], "]"}]}], " ", ";"}], " ", "*)"}], 
     RowBox[{"(*", " ", 
      RowBox[{"liczba", " ", "do\:017cywaj\:0105cych", " ", "kobiet"}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"lxk", "=", 
      RowBox[{"{", 
       RowBox[{
       "100000.`", ",", "99638.`", ",", "99611.`", ",", "99594.`", ",", 
        "99584.`", ",", "99577.`", ",", "99570.`", ",", "99562.`", ",", 
        "99554.`", ",", "99545.`", ",", "99536.`", ",", "99527.`", ",", 
        "99517.`", ",", "99506.`", ",", "99493.`", ",", "99478.`", ",", 
        "99461.`", ",", "99442.`", ",", "99422.`", ",", "99400.`", ",", 
        "99376.`", ",", "99352.`", ",", "99328.`", ",", "99305.`", ",", 
        "99282.`", ",", "99261.`", ",", "99240.`", ",", "99219.`", ",", 
        "99197.`", ",", "99173.`", ",", "99146.`", ",", "99117.`", ",", 
        "99084.`", ",", "99049.`", ",", "99010.`", ",", "98967.`", ",", 
        "98919.`", ",", "98866.`", ",", "98807.`", ",", "98742.`", ",", 
        "98668.`", ",", "98585.`", ",", "98493.`", ",", "98389.`", ",", 
        "98272.`", ",", "98141.`", ",", "97994.`", ",", "97830.`", ",", 
        "97647.`", ",", "97443.`", ",", "97216.`", ",", "96965.`", ",", 
        "96688.`", ",", "96381.`", ",", "96041.`", ",", "95667.`", ",", 
        "95254.`", ",", "94799.`", ",", "94299.`", ",", "93752.`", ",", 
        "93153.`", ",", "92501.`", ",", "91793.`", ",", "91028.`", ",", 
        "90202.`", ",", "89316.`", ",", "88366.`", ",", "87351.`", ",", 
        "86268.`", ",", "85114.`", ",", "83885.`", ",", "82574.`", ",", 
        "81172.`", ",", "79667.`", ",", "78044.`", ",", "76285.`", ",", 
        "74369.`", ",", "72274.`", ",", "69979.`", ",", "67465.`", ",", 
        "64720.`", ",", "61735.`", ",", "58514.`", ",", "55068.`", ",", 
        "51420.`", ",", "47603.`", ",", "43656.`", ",", "39628.`", ",", 
        "35572.`", ",", "31546.`", ",", "27607.`", ",", "23816.`", ",", 
        "20222.`", ",", "16879.`", ",", "13828.`", ",", "11104.`", ",", 
        "8725.`", ",", "6698.`", ",", "5014.`", ",", "3654.`", ",", 
        "2587.`"}], "}"}]}], ";", "\[IndentingNewLine]", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"dxk", "=", 
        RowBox[{"Import", "[", 
         RowBox[{"\"\<C:\\\\Users\\\\Zuza\\\\Desktop\\\\tablice.xls\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Data\>\"", ",", "26", ",", 
            RowBox[{"Table", "[", 
             RowBox[{"i", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "106", ",", "206"}], "}"}]}], "]"}], ",", 
            "5"}], "}"}]}], "]"}]}], ";"}], " ", "*)"}], 
     RowBox[{"(*", " ", 
      RowBox[{
      "liczba", " ", "zgon\[OAcute]w", " ", "kobiet", " ", "w", " ", "wieku", 
       " ", "x"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dxk", "=", 
      RowBox[{"{", 
       RowBox[{
       "362.`", ",", "27.`", ",", "17.`", ",", "10.`", ",", "7.`", ",", "7.`",
         ",", "8.`", ",", "9.`", ",", "9.`", ",", "9.`", ",", "9.`", ",", 
        "9.`", ",", "11.`", ",", "13.`", ",", "15.`", ",", "17.`", ",", 
        "19.`", ",", "20.`", ",", "22.`", ",", "23.`", ",", "24.`", ",", 
        "24.`", ",", "23.`", ",", "22.`", ",", "21.`", ",", "21.`", ",", 
        "21.`", ",", "22.`", ",", "24.`", ",", "27.`", ",", "29.`", ",", 
        "32.`", ",", "35.`", ",", "39.`", ",", "43.`", ",", "48.`", ",", 
        "53.`", ",", "59.`", ",", "66.`", ",", "74.`", ",", "83.`", ",", 
        "93.`", ",", "104.`", ",", "117.`", ",", "131.`", ",", "147.`", ",", 
        "164.`", ",", "183.`", ",", "204.`", ",", "226.`", ",", "251.`", ",", 
        "278.`", ",", "307.`", ",", "339.`", ",", "375.`", ",", "413.`", ",", 
        "455.`", ",", "500.`", ",", "548.`", ",", "599.`", ",", "652.`", ",", 
        "708.`", ",", "766.`", ",", "825.`", ",", "887.`", ",", "950.`", ",", 
        "1015.`", ",", "1083.`", ",", "1154.`", ",", "1229.`", ",", "1311.`", 
        ",", "1402.`", ",", "1505.`", ",", "1623.`", ",", "1759.`", ",", 
        "1916.`", ",", "2095.`", ",", "2295.`", ",", "2513.`", ",", "2746.`", 
        ",", "2985.`", ",", "3221.`", ",", "3446.`", ",", "3648.`", ",", 
        "3818.`", ",", "3947.`", ",", "4028.`", ",", "4055.`", ",", "4026.`", 
        ",", "3939.`", ",", "3792.`", ",", "3593.`", ",", "3344.`", ",", 
        "3050.`", ",", "2724.`", ",", "2379.`", ",", "2027.`", ",", "1684.`", 
        ",", "1360.`", ",", "1067.`", ",", "811.`"}], "}"}]}], ";", 
     "\[IndentingNewLine]", "\n", 
     RowBox[{"(*", " ", 
      RowBox[{"CZY", " ", "Z", " ", "UBEZPIECZENIEM"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ubezpieczenie", "\[Equal]", "False"}], ",", " ", 
       RowBox[{"alpha", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"WYB\[CapitalOAcute]R", " ", "P\[CapitalLSlash]CI"}], "*)"}], 
     "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"plec", "===", "\"\<Kobieta\>\""}], ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"lx", "=", "lxk"}], ",", 
         RowBox[{"dx", "=", "dxk"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"lx", "=", "lxm"}], ",", 
         RowBox[{"dx", "=", "dxm"}]}], "}"}]}], "]"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", "tso"}], ")"}]}]}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{"tso", " ", "-", " ", 
       RowBox[{"techniczna", " ", "stopa", " ", "oprocentowania"}]}], "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"2.", " ", "Deklaracja", " ", "funkcji", " ", "komutacyjnych"}],
       " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Dx", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"v", "^", "x"}], " ", 
         RowBox[{"lx", "[", 
          RowBox[{"[", 
           RowBox[{"x", "+", "1"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{
           RowBox[{"Length", "[", "lx", "]"}], "-", "1"}]}], "}"}]}], "]"}]}],
      ";", 
     RowBox[{"(*", 
      RowBox[{"Dx", " ", "traktujemy", " ", "jak", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"list\:0119", "!!"}], "!!"}], "!!"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Cx", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"v", "^", 
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}]}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"lx", "[", 
            RowBox[{"[", 
             RowBox[{"x", "+", "1"}], "]"}], "]"}], "-", 
           RowBox[{"lx", "[", 
            RowBox[{"[", 
             RowBox[{"x", "+", "2"}], "]"}], "]"}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{
           RowBox[{"Length", "[", "lx", "]"}], "-", "2"}]}], "}"}]}], "]"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"Nx", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"Dx", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "x", ",", 
            RowBox[{"Length", "[", "Dx", "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", 
          RowBox[{"Length", "[", "Dx", "]"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Mx", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"Cx", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "x", ",", 
            RowBox[{"Length", "[", "Cx", "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", 
          RowBox[{"Length", "[", "Cx", "]"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Rx", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"Mx", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "x", ",", 
            RowBox[{"Length", "[", "Mx", "]"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", 
          RowBox[{"Length", "[", "Mx", "]"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "3.", " ", "Deklaracja", " ", "warto\:015bci", " ", "aktuarialnych"}], 
      " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"axn", "[", 
       RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Nx", "[", 
          RowBox[{"[", 
           RowBox[{"x", "+", "1"}], "]"}], "]"}], "-", 
         RowBox[{"Nx", "[", 
          RowBox[{"[", 
           RowBox[{"x", "+", "1", "+", "n"}], "]"}], "]"}]}], ")"}], "/", 
       RowBox[{"Dx", "[", 
        RowBox[{"[", 
         RowBox[{"x", "+", "1"}], "]"}], "]"}]}]}], ";", " ", 
     RowBox[{"(*", " ", 
      RowBox[{"n", " ", 
       RowBox[{"(", "okres", ")"}], " ", "letnia", " ", "renta", " ", "dla", 
       " ", "x", " ", 
       RowBox[{"(", "wiek", ")"}], " ", "latka"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"nax", "[", 
       RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"Nx", "[", 
        RowBox[{"[", 
         RowBox[{"x", "+", "1", "+", "n"}], "]"}], "]"}], "/", 
       RowBox[{"Dx", "[", 
        RowBox[{"[", 
         RowBox[{"x", "+", "1"}], "]"}], "]"}]}]}], ";", 
     RowBox[{"(*", 
      RowBox[{"renta", " ", "dla", " ", "x", " ", 
       RowBox[{"(", "wiek", ")"}], " ", "latka", " ", "odroczona", " ", "o", 
       " ", "n", " ", 
       RowBox[{"(", "okres", ")"}], " ", "lat"}], "*)"}], "\n", 
     RowBox[{
      RowBox[{"IAxn", "[", 
       RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Rx", "[", 
          RowBox[{"[", 
           RowBox[{"x", "+", "1"}], "]"}], "]"}], "-", 
         RowBox[{"Rx", "[", 
          RowBox[{"[", 
           RowBox[{"x", "+", "1", "+", "n"}], "]"}], "]"}], " ", "-", " ", 
         RowBox[{"n", " ", "*", " ", 
          RowBox[{"Mx", "[", 
           RowBox[{"[", 
            RowBox[{"x", "+", "1", "+", "n"}], "]"}], "]"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"Dx", "[", 
         RowBox[{"[", 
          RowBox[{"x", "+", "1"}], "]"}], "]"}], ")"}]}]}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{
      "Polisa", " ", "terminowa", " ", "ze", " ", "\:015bwiadczeniem", " ", 
       "rosn\:0105cym", " ", "wyp\[LSlash]acanym", " ", "na", " ", "koniec", 
       " ", "roku", " ", "\:015bmierci"}], "*)"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"4.", " ", "Wyliczenie", " ", 
       RowBox[{"sk\[LSlash]adki", ":"}]}], " ", "*)"}], "\[IndentingNewLine]",
      "\[IndentingNewLine]", 
     RowBox[{"skladka", " ", "=", " ", 
      RowBox[{"em", "*", 
       RowBox[{
        RowBox[{"nax", "[", 
         RowBox[{"wiek", ",", "okres"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"axn", "[", 
           RowBox[{"wiek", ",", "okres"}], "]"}], "-", 
          RowBox[{"alpha", " ", 
           RowBox[{"IAxn", "[", 
            RowBox[{"wiek", ",", "okres"}], "]"}]}]}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"5.", " ", "Wygl\:0105d", " ", 
       RowBox[{"demonstracji", ":"}]}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Column", "[", 
          RowBox[{"{", "        ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Kalkulator sk\[LSlash]adki na \:015bwiadczenie \
emerytalne:\>\"", ",", "30", ",", "Black", ",", "Bold"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<  \>\"", ",", "20"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Poni\:017cszy kalkulator pozwala w szybki spos\[OAcute]b \
policzy\[CAcute] sk\[LSlash]adk\:0119 na przysz\[LSlash]e \:015bwiadczenie \
emerytalne wyp\[LSlash]acane raz do roku. Wystarczy poda\[CAcute] dane dotycz\
\:0105ce p\[LSlash]ci i wieku ubezpieczonego (w przedziale od 18 do 70 lat), \
okres wp\[LSlash]acania sk\[LSlash]adek (maksymalnie 99 minus wiek \
ubezpieczonego)- uiszczanych raz do roku, oraz oczekiwan\:0105 wysoko\:015b\
\[CAcute] emerytury (maksymalnie 100000 rocznie). Kalkulator mo\:017ce uwzgl\
\:0119dni\[CAcute] tak\:017ce dodatkowe ubezpieczenie. Benefit ten jest wyp\
\[LSlash]acany rodzinie w razie \:015bmierci ubezpieczonego przed \
osi\:0105gni\:0119ciem wieku emerytalnego. Wysoko\:015b\[CAcute] dodatkowego \
\:015bwiadczenia to suma dotychczas wp\[LSlash]aconych sk\[LSlash]adek \
przemno\:017cona przez wsp\[OAcute]\[LSlash]czynnik \[Alpha] (z przedzia\
\[LSlash]u od 0 do 1). Nale\:017cy jednak pami\:0119ta\[CAcute], \:017ce sk\
\[LSlash]adka ro\:015bnie wraz ze wzrostem poziomu \[Alpha]. \>\"", ",", " ", 
              RowBox[{"TextAlignment", "->", "Center"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\< \>\"", ",", "35"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<Dane wprowadzone przez ubezpieczonego:\>\"", ",", "18"}],
                 "]"}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\< \>\"", "}"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<P\[LSlash]e\[CAcute]: \>\"", ",", " ", "plec"}], 
               "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<Wiek ubezpieczonego: \>\"", ",", "wiek"}], "}"}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<Okres ubezpieczenia: \>\"", ",", 
                RowBox[{"AccountingForm", "[", " ", "okres", "]"}]}], "}"}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", " ", 
               RowBox[{
               "\"\<Oczekiwana wysoko\:015b\[CAcute] rocznego \
\:015bwiadczenia emerytalnego: \>\"", ",", 
                RowBox[{"AccountingForm", "[", " ", "em", "]"}], ",", 
                "\"\< z\[LSlash]\>\""}], "}"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<Techniczna stopa oprocentowania: \>\"", ",", 
                RowBox[{"tso", "*", "100"}], " ", ",", "\"\<%\>\""}], "}"}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<Z dodatkowym ubezpieczeniem: \>\"", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"ubezpieczenie", "\[Equal]", "False"}], ",", 
                  "\"\<nie\>\"", ",", "\"\<tak\>\""}], "]"}]}], "}"}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
               "\"\<Wsp\[OAcute]\[LSlash]czynnik \[Alpha] : \>\"", ",", 
                RowBox[{"alpha", "  ", "*", " ", "100", "\"\<%\>\""}]}], 
               "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\< \>\"", "}"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Dla powy\:017cszych danych, wysoko\:015b\[CAcute] sk\
\[LSlash]adki, p\[LSlash]aconej raz na rok, wynosi: \>\"", ",", "18"}], "]"}],
                 ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"skladka", ",", "0.01"}], "]"}], ",", "30", ",", 
                  "Bold", ",", "Red"}], "]"}], ",", " ", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\< z\[LSlash]\>\"", ",", "30", ",", "Bold", ",", "Red"}], 
                 "]"}]}], "}"}], "]"}]}]}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "}"}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\< \>\"", ",", "45"}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Dlaczego taka sk\[LSlash]adka?  \>\"", ",", "18", ",", 
           RowBox[{"FontColor", "\[Rule]", "Red"}], ",", " ", 
           RowBox[{"FontWeight", "\[Rule]", "Bold"}]}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Wysoko\:015b\[CAcute] sk\[LSlash]adki zwi\:0105zana jest z \
wieloma czynnikami: z wysoko\:015bci\:0105 oczekiwanego \:015bwiadczenia \
emerytalnego, z okresem p\[LSlash]acenia sk\[LSlash]adek, \
wysoko\:015bci\:0105 dodatkowego ubezpieczenia. Zauwa\:017cmy, \:017ce wysoko\
\:015b\[CAcute] sk\[LSlash]adki jest te\:017c \:015bci\:015ble zwi\:0105zana \
z p\[LSlash]ci\:0105 oraz wiekiem ubezpieczonego. Zjawisko to \
t\[LSlash]umaczy wykres przedstawiony poni\:017cej:\>\"", ",", " ", 
           RowBox[{"TextAlignment", "\[Rule]", "Center"}]}], "]"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<  \>\"", ",", "45"}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tpx", "[", "t_", "]"}], " ", ":=", " ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 
            RowBox[{
             RowBox[{"lx", "[", 
              RowBox[{"[", 
               RowBox[{"wiek", "+", "1", "+", "t"}], "]"}], "]"}], "/", 
             RowBox[{"lx", "[", 
              RowBox[{"[", 
               RowBox[{"wiek", "+", "1"}], "]"}], "]"}]}]}], "]"}]}], ";", 
         " ", 
         RowBox[{"(*", 
          RowBox[{
          "prawdopodobie\:0144stwo", " ", "do\:017cycia", " ", "kolejnych", 
           " ", "lat", " ", "przez", " ", "osob\:0119", " ", "w", " ", 
           RowBox[{"wieku", " ", "'"}], 
           RowBox[{"wiek", "'"}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"lista", "=", " ", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", "wiek"}], "]"}], ",", 
             RowBox[{"Table", "[", 
              RowBox[{"i", ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", 
                 RowBox[{"100", "-", "wiek"}]}], "}"}]}], "]"}]}], "}"}], "//",
            "Flatten"}]}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            RowBox[{
            "lista", " ", "deklarowana", " ", "dla", " ", 
             "u\[LSlash]atwienia", " ", "rysowania"}], " ", "-", " ", 
            RowBox[{"pierwsze", " ", "elementy", " ", 
             RowBox[{"(", 
              RowBox[{
              "taka", " ", "ilo\:015b\[CAcute]", " ", "jaka", " ", "wiek"}], 
              ")"}], " ", "to", " ", "0"}]}], ",", " ", 
           RowBox[{
            RowBox[{
            "kolejne", " ", "elementy", " ", "to", " ", "liczby", " ", 
             "ca\[LSlash]kowite", " ", "od", " ", "1", " ", "do", " ", 
             "100"}], "-", 
            RowBox[{"wiek", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
               "b\:0119dziemy", " ", "liczy\[CAcute]", " ", 
                "prawdopodobie\:0144stwo"}], ",", " ", 
               RowBox[{"\:017ce", " ", "osoba", " ", "w", " ", 
                RowBox[{"wieku", " ", "'"}], 
                RowBox[{"wiek", "'"}], " ", "prze\:017cyje", " ", 
                "nast\:0119pne", " ", "t", " ", "lat"}]}]}]}]}]}], "*)"}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"ListLinePlot", "[", 
             RowBox[{
              RowBox[{"tpx", "/@", " ", "lista"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"500", ",", "320"}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", "100"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<Wiek\>\"", ",", "15"}], "]"}], ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<Prawdopodobie\:0144stwo prze\:017cycia\>\"", ",", 
                   "15"}], "]"}]}], "}"}]}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
              RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
              RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", " ", 
              RowBox[{"PlotLegends", "\[Rule]", 
               RowBox[{
               "{", "\"\<Dalsze trwanie \:017cycia osoby w danym wieku \>\"", 
                "}"}]}]}], "]"}], ",", 
            RowBox[{"ListLinePlot", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"lx", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"Range", "[", "100", "]"}], "+", "1"}], "]"}], 
                "]"}], "/", 
               RowBox[{"lx", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"500", ",", "320"}], "}"}]}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", "Blue"}], ",", 
              RowBox[{"Filling", "\[Rule]", "Axis"}], ",", " ", 
              RowBox[{"PlotLegends", "\[Rule]", 
               RowBox[{
               "{", "\"\<Rozk\[LSlash]ad trwania \:017cycia noworodka\>\"", 
                "}"}]}]}], "]"}], ",", 
            RowBox[{"PlotLabel", "\[Rule]", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<Rozk\[LSlash]ad trwania \:017cycia\>\"", ",", "20"}], 
              "]"}]}]}], "]"}], "}"}]}]}], 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "pierwszy", " ", "wykred", " ", "dla", " ", "osoby", " ", "w", " ", 
          "danym", " ", "wieku"}], ",", " ", 
         RowBox[{"drugi", " ", "wykres", " ", "dla", " ", "noworodka"}]}], 
        "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "]"}]}], 
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"6.", " ", "Sterowanie", " ", "kalkulatorem"}], " ", "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\"\< \>\"", ",", 
    "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
    "\"\< \>\"", ",", "\[IndentingNewLine]", "Delimiter", ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Wprowad\:017a dane:\>\"", ",", "18", ",", 
      RowBox[{"FontColor", "\[Rule]", "Red"}], ",", " ", 
      RowBox[{"FontWeight", "\[Rule]", "Bold"}]}], "]"}], ",", 
    "\[IndentingNewLine]", "\"\< \>\"", ",", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Pola obowi\:0105zkowe:\>\"", ",", "13", ",", "Bold"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "plec", ",", "\"\<Kobieta\>\"", ",", "\"\<P\[LSlash]e\[CAcute]:\>\""}],
        "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\"\<Kobieta\>\"", ",", "\"\<M\:0119\:017cczyzna\>\""}], 
       "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"wiek", ",", "35", ",", "\"\<Wiek:\>\""}], "}"}], ",", "18", 
      ",", "70", ",", "1", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Small"}], 
      StyleBox[",",
       FontSize->14], 
      StyleBox[" ",
       FontSize->14], 
      RowBox[{
       StyleBox["Appearance",
        FontSize->14], 
       StyleBox["\[Rule]",
        FontSize->14], " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"okres", ",", "30", ",", "\"\<Okres ubezpieczenia: \>\""}], 
       "}"}], ",", "1", ",", 
      RowBox[{"99", "-", "wiek"}], ",", "1", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Small"}], 
      StyleBox[",",
       FontSize->14], 
      StyleBox[" ",
       FontSize->14], 
      RowBox[{
       StyleBox["Appearance",
        FontSize->14], 
       StyleBox["\[Rule]",
        FontSize->14], " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "em", ",", "12000", ",", 
        "\"\<Oczekiwana wysoko\:015b\[CAcute] \:015bwiadczenia emerytalnego: \
\>\""}], "}"}], ",", "0", ",", "100000", ",", "500", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Small"}], 
      StyleBox[",",
       FontSize->14], 
      StyleBox[" ",
       FontSize->14], 
      RowBox[{
       StyleBox["Appearance",
        FontSize->14], 
       StyleBox["\[Rule]",
        FontSize->14], " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "tso", ",", "0.03", ",", "\"\<Techniczna stopa oprocentowania: \>\""}],
        "}"}], ",", "0", ",", "0.25", ",", "0.005", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Small"}], 
      StyleBox[",",
       FontSize->14], 
      StyleBox[" ",
       FontSize->14], 
      RowBox[{
       StyleBox["Appearance",
        FontSize->14], 
       StyleBox["\[Rule]",
        FontSize->14], " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Pola opcjonalne:\>\"", ",", "13", ",", "Bold"}], "]"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "ubezpieczenie", ",", "False", ",", 
        "\"\<Dodatkowe ubezpieczenie:\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "alpha", ",", "0", ",", 
        "\"\<Wsp\[OAcute]\[LSlash]czynnik \[Alpha]\>\""}], "}"}], ",", "0", 
      ",", "1", ",", "0.001", ",", 
      RowBox[{"ImageSize", "\[Rule]", "Small"}], 
      StyleBox[",",
       FontSize->14], 
      StyleBox[" ",
       FontSize->14], 
      RowBox[{
       StyleBox["Appearance",
        FontSize->14], 
       StyleBox["\[Rule]",
        FontSize->14], " ", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], 
   StyleBox["\[IndentingNewLine]",
    FontSize->14], 
   StyleBox["]",
    FontSize->14]}], 
  StyleBox[" ",
   FontSize->14]}]], "Input",
 CellChangeTimes->{{3.6910437689013596`*^9, 3.691043846560376*^9}, {
   3.6910438807839727`*^9, 3.691043885892887*^9}, {3.6910440953094625`*^9, 
   3.691044152919908*^9}, {3.691044214682839*^9, 3.6910442416262836`*^9}, 
   3.6910443259589977`*^9, {3.691044486672901*^9, 3.6910445272036915`*^9}, {
   3.691044574331544*^9, 3.691044614377248*^9}, {3.6910447465061655`*^9, 
   3.6910447969276934`*^9}, {3.691045697475792*^9, 3.6910457159760647`*^9}, {
   3.6910457963834114`*^9, 3.6910457968052444`*^9}, {3.6910459388383713`*^9, 
   3.6910461280440383`*^9}, {3.6910462656864862`*^9, 
   3.6910463612971363`*^9}, {3.691046393594417*^9, 3.6910464572515087`*^9}, {
   3.6910464883144183`*^9, 3.691046537158847*^9}, {3.691046568018633*^9, 
   3.69104658911265*^9}, {3.6910473053915453`*^9, 3.6910473206261196`*^9}, {
   3.691047370167612*^9, 3.69104738351154*^9}, {3.6910479304548817`*^9, 
   3.6910480119958057`*^9}, {3.691048743407626*^9, 3.6910487697583823`*^9}, {
   3.691048807618278*^9, 3.691048842396978*^9}, {3.6910490070099897`*^9, 
   3.6910490072041078`*^9}, {3.691049043315793*^9, 3.691049043812133*^9}, {
   3.6910608359466724`*^9, 3.691060847806171*^9}, {3.6910608873408575`*^9, 
   3.6910610049853125`*^9}, {3.6910611884719996`*^9, 3.691061325208111*^9}, {
   3.6910613597692404`*^9, 3.691061360053238*^9}, {3.6910709348326473`*^9, 
   3.6910709417669888`*^9}, {3.6910711344628153`*^9, 3.691071138739769*^9}, {
   3.6910712229338837`*^9, 3.6910712527745113`*^9}, {3.6910730471484957`*^9, 
   3.6910730511485577`*^9}, {3.6910732551882334`*^9, 3.691073277155703*^9}, {
   3.691073344191869*^9, 3.691073393713182*^9}, {3.6910742345128317`*^9, 
   3.691074398502304*^9}, {3.691075232100611*^9, 3.691075481174776*^9}, {
   3.691075662864001*^9, 3.6910756631296244`*^9}, {3.691076138067234*^9, 
   3.691076159083145*^9}, {3.6910764963018756`*^9, 3.69107663321821*^9}, {
   3.6910766646215296`*^9, 3.691076687090564*^9}, {3.6910767393472404`*^9, 
   3.6910768756823177`*^9}, {3.6910769438053217`*^9, 3.6910770119710464`*^9}, 
   {3.691079598736826*^9, 3.6910797783632894`*^9}, {3.69107982801054*^9, 
   3.691079830713726*^9}, {3.691079880912052*^9, 3.691079888557417*^9}, {
   3.691079940284594*^9, 3.691079942800249*^9}, {3.6913098550357475`*^9, 
   3.69130985643076*^9}, {3.6913099159700108`*^9, 3.691309917671219*^9}, {
   3.691310003093878*^9, 3.691310075292153*^9}, {3.691310139547803*^9, 
   3.6913101844326487`*^9}, {3.691310223657502*^9, 3.6913102239697285`*^9}, {
   3.6913102689586983`*^9, 3.6913102804668694`*^9}, {3.69131033330136*^9, 
   3.6913103749949675`*^9}, {3.6913112766386786`*^9, 3.691311290217349*^9}, {
   3.6913336694532423`*^9, 3.691333670456973*^9}, {3.6913337308768883`*^9, 
   3.691333735062833*^9}, {3.691395077844842*^9, 3.6913951110604286`*^9}, 
   3.691395498615634*^9, {3.691395577009277*^9, 3.6913955955104437`*^9}, {
   3.691395711453747*^9, 3.691395756891012*^9}, 3.6913957927184534`*^9, {
   3.6913958663287244`*^9, 3.6913958665368752`*^9}, {3.691396081942836*^9, 
   3.6913960979642105`*^9}, {3.691511762975754*^9, 3.691511771019739*^9}, 
   3.6915118758613434`*^9, 3.6915119510148296`*^9, {3.6915120117985783`*^9, 
   3.69151203711683*^9}, {3.6915120971016006`*^9, 3.691512152585821*^9}, {
   3.691512290431549*^9, 3.6915123562134905`*^9}, {3.691512394152748*^9, 
   3.691512410321509*^9}, {3.6915125196651125`*^9, 3.6915126502937946`*^9}, {
   3.6915126814726505`*^9, 3.691512714261224*^9}, {3.69151372633505*^9, 
   3.691513739224292*^9}, {3.6915146519219007`*^9, 3.691514715797702*^9}, {
   3.69151565866355*^9, 3.6915157190941763`*^9}, {3.691515774336378*^9, 
   3.6915157751352415`*^9}, {3.691516032388838*^9, 3.6915160687960787`*^9}, {
   3.691516105390849*^9, 3.691516167059022*^9}, {3.691516207888226*^9, 
   3.691516293301999*^9}, {3.6915163957896376`*^9, 3.691516398610219*^9}, {
   3.6915164698667383`*^9, 3.6915165558998203`*^9}, {3.691516606280115*^9, 
   3.6915166404765415`*^9}, 3.6915167609153337`*^9, {3.6915172979332824`*^9, 
   3.691517563613839*^9}, {3.691517650625705*^9, 3.691517710128872*^9}, 
   3.691518103766612*^9, {3.691518476861743*^9, 3.691518513823496*^9}, {
   3.6915185669825687`*^9, 3.6915185860880127`*^9}, {3.691518624574051*^9, 
   3.6915186653973846`*^9}, {3.691572851747834*^9, 3.6915728530217133`*^9}, {
   3.691572884895425*^9, 3.691572886689701*^9}, {3.6915729167891483`*^9, 
   3.691572916930251*^9}, {3.69157297390291*^9, 3.6915730335824604`*^9}, {
   3.6916747951290236`*^9, 3.6916748129086685`*^9}, {3.6916748536086664`*^9, 
   3.691674855569088*^9}, {3.691674910222003*^9, 3.69167491340627*^9}, {
   3.6916752925884457`*^9, 3.6916753490786953`*^9}, {3.691675394854318*^9, 
   3.6916753995516624`*^9}, {3.6916755981661797`*^9, 3.691675604056399*^9}, {
   3.6916757036133137`*^9, 3.691675706801607*^9}, {3.6916758266409674`*^9, 
   3.6916758280509725`*^9}, {3.691675875652917*^9, 3.6916758802321568`*^9}, {
   3.691675921036226*^9, 3.6916759259847565`*^9}, 3.691675972750072*^9, {
   3.691676005164175*^9, 3.6916760247961845`*^9}, {3.6916760566948853`*^9, 
   3.691676067480575*^9}, {3.6916761615365877`*^9, 3.691676239776333*^9}, {
   3.6916766064789896`*^9, 3.691676673156475*^9}, {3.691676780043865*^9, 
   3.691676790808541*^9}, {3.6916768340483446`*^9, 3.691676835188159*^9}, {
   3.691676890663686*^9, 3.6916769479004664`*^9}, {3.6916770015176706`*^9, 
   3.6916770365836544`*^9}, {3.6916770954846506`*^9, 3.691677108919197*^9}, {
   3.691677878177513*^9, 3.6916779088243504`*^9}, {3.6916781474553523`*^9, 
   3.69167817086403*^9}, {3.6916782079594617`*^9, 3.6916782278056297`*^9}, {
   3.6916782778392515`*^9, 3.691678279010086*^9}, {3.691678944002914*^9, 
   3.691678965754404*^9}, 3.691693158424756*^9, {3.691741670764914*^9, 
   3.6917417070627837`*^9}, {3.691741763520005*^9, 3.691741819642997*^9}, {
   3.6917418551923265`*^9, 3.6917419097171755`*^9}, {3.6917422241692514`*^9, 
   3.69174222920982*^9}, {3.691742470517375*^9, 3.691742522310278*^9}, {
   3.691742556781862*^9, 3.6917425814834633`*^9}, {3.6917426396558895`*^9, 
   3.691742734922768*^9}, {3.6917427655956182`*^9, 3.691742782247489*^9}, {
   3.691752130971083*^9, 3.691752152805662*^9}, {3.6917526730594635`*^9, 
   3.6917527774628534`*^9}, {3.6917528590439596`*^9, 3.691752904047019*^9}, {
   3.6917538673634567`*^9, 3.691754206726266*^9}, {3.6917542621057205`*^9, 
   3.691754308892084*^9}, {3.6917543544325056`*^9, 3.691754412389798*^9}, {
   3.69175461161578*^9, 3.6917546118639574`*^9}, {3.691754651891451*^9, 
   3.6917548097078967`*^9}, {3.691755542711994*^9, 3.6917555905200577`*^9}, {
   3.691755739936521*^9, 3.6917557406380205`*^9}, {3.691755928747052*^9, 
   3.691755931725173*^9}, {3.6917565142222424`*^9, 3.6917565177917566`*^9}, {
   3.691822223382227*^9, 3.6918222309055867`*^9}, {3.691822262229906*^9, 
   3.691822268961729*^9}, {3.6918223131661987`*^9, 3.6918223496652107`*^9}, {
   3.6918226338242197`*^9, 3.69182263711959*^9}, 3.691822672599841*^9, {
   3.691822733576294*^9, 3.6918227558891926`*^9}, {3.6918228435826983`*^9, 
   3.691822884220654*^9}, {3.691822919010442*^9, 3.691822927253315*^9}, {
   3.691823064143852*^9, 3.691823096402815*^9}, {3.691823126701414*^9, 
   3.6918231331370106`*^9}, {3.6918231649316654`*^9, 3.691823192897591*^9}, {
   3.691823237347251*^9, 3.6918232457842526`*^9}, {3.691823310195168*^9, 
   3.6918233975764074`*^9}, {3.6918234381703534`*^9, 
   3.6918236010303946`*^9}, {3.6918236407494564`*^9, 3.691823641195778*^9}, {
   3.69182367221388*^9, 3.691823719178336*^9}, {3.6918237640653467`*^9, 
   3.6918238307748795`*^9}, {3.6918248480967116`*^9, 
   3.6918248771144156`*^9}, {3.691825073533346*^9, 3.6918250751655016`*^9}, 
   3.691825131119399*^9, {3.6918251668338184`*^9, 3.6918252007950172`*^9}, {
   3.6918268817470207`*^9, 3.6918269948195868`*^9}, {3.691828221428686*^9, 
   3.6918282735488386`*^9}, {3.6918287692297*^9, 3.6918288088469386`*^9}, {
   3.6918288434915953`*^9, 3.6918288480178204`*^9}, {3.691829055345574*^9, 
   3.691829231696228*^9}, {3.6918292625512114`*^9, 3.691829266842269*^9}, {
   3.691829384215888*^9, 3.691829402663021*^9}, {3.69183074256911*^9, 
   3.691830891073929*^9}, {3.691830958891246*^9, 3.6918310879242115`*^9}, {
   3.6918311424320493`*^9, 3.6918311510932198`*^9}, {3.6918312000200815`*^9, 
   3.6918312974734917`*^9}, {3.6918313365793533`*^9, 3.691831400166689*^9}, {
   3.691831446449667*^9, 3.691831474546687*^9}, {3.6918318729865603`*^9, 
   3.6918318943998394`*^9}, {3.6918335944540825`*^9, 3.691833595686977*^9}, {
   3.6918336335709686`*^9, 3.691833645929786*^9}, {3.6918338084275613`*^9, 
   3.6918338644494753`*^9}, {3.691833903273139*^9, 3.691833903407217*^9}, {
   3.691833963902338*^9, 3.69183396407244*^9}, {3.691834366846425*^9, 
   3.691834424222268*^9}, {3.691834471596023*^9, 3.691834483268355*^9}, {
   3.6918345893169155`*^9, 3.6918346657503767`*^9}, {3.6918347521879478`*^9, 
   3.691834752343058*^9}, {3.6918347854886785`*^9, 3.69183478567881*^9}, {
   3.691834879366723*^9, 3.6918348942263117`*^9}, {3.691834931694008*^9, 
   3.691834934978348*^9}, {3.6918349875177827`*^9, 3.6918350094424157`*^9}, {
   3.69183515922514*^9, 3.691835165010252*^9}, {3.691835245243569*^9, 
   3.6918353004588933`*^9}, {3.691835357787744*^9, 3.6918353653351216`*^9}, {
   3.6918369483289995`*^9, 3.69183695038371*^9}, {3.6918369924498053`*^9, 
   3.691836993047696*^9}, {3.691837031333808*^9, 3.6918370316640725`*^9}, {
   3.6918473811614895`*^9, 3.6918473813486233`*^9}, {3.6919077025771847`*^9, 
   3.6919077059766083`*^9}, {3.6919254765467677`*^9, 3.69192547681544*^9}, 
   3.691925536223377*^9, {3.693225744382897*^9, 3.693225754390016*^9}, {
   3.6932834777004795`*^9, 3.693283480713915*^9}, {3.693283513110124*^9, 
   3.6932835296134586`*^9}, {3.693283608767005*^9, 3.6932836105537214`*^9}, {
   3.6932837037073774`*^9, 3.6932837927853117`*^9}, {3.6932838638645935`*^9, 
   3.6932838806689925`*^9}, {3.6996336028050337`*^9, 3.6996337585425725`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`alpha$$ = 0, $CellContext`em$$ = 
    12000, $CellContext`okres$$ = 30, $CellContext`plec$$ = 
    "Kobieta", $CellContext`tso$$ = 0.03, $CellContext`ubezpieczenie$$ = 
    False, $CellContext`wiek$$ = 54, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[" "], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[" "], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "Wprowad\:017a dane:", 18, FontColor -> RGBColor[1, 0, 0], FontWeight -> 
        Bold]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[" "], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Pola obowi\:0105zkowe:", 13, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`plec$$], "Kobieta", "P\[LSlash]e\[CAcute]:"}, {
      "Kobieta", "M\:0119\:017cczyzna"}}, {{
       Hold[$CellContext`wiek$$], 35, "Wiek:"}, 18, 70, 1}, {{
       Hold[$CellContext`okres$$], 30, "Okres ubezpieczenia: "}, 1, 
      Dynamic[99 - $CellContext`wiek$$], 1}, {{
       Hold[$CellContext`em$$], 12000, 
       "Oczekiwana wysoko\:015b\[CAcute] \:015bwiadczenia emerytalnego: "}, 0,
       100000, 500}, {{
       Hold[$CellContext`tso$$], 0.03, "Techniczna stopa oprocentowania: "}, 
      0, 0.25, 0.005}, {
      Hold[
       Style["Pola opcjonalne:", 13, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ubezpieczenie$$], False, 
       "Dodatkowe ubezpieczenie:"}, {True, False}}, {{
       Hold[$CellContext`alpha$$], 0, 
       "Wsp\[OAcute]\[LSlash]czynnik \[Alpha]"}, 0, 1, 0.001}}, 
    Typeset`size$$ = {802., {455.5, 462.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`plec$9460$$ = False, $CellContext`wiek$9461$$ = 
    0, $CellContext`okres$9462$$ = 0, $CellContext`em$9463$$ = 
    0, $CellContext`tso$9464$$ = 0, $CellContext`ubezpieczenie$9465$$ = 
    False, $CellContext`alpha$9466$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`alpha$$ = 0, $CellContext`em$$ = 
        12000, $CellContext`okres$$ = 30, $CellContext`plec$$ = 
        "Kobieta", $CellContext`tso$$ = 0.03, $CellContext`ubezpieczenie$$ = 
        False, $CellContext`wiek$$ = 35}, "ControllerVariables" :> {
        Hold[$CellContext`plec$$, $CellContext`plec$9460$$, False], 
        Hold[$CellContext`wiek$$, $CellContext`wiek$9461$$, 0], 
        Hold[$CellContext`okres$$, $CellContext`okres$9462$$, 0], 
        Hold[$CellContext`em$$, $CellContext`em$9463$$, 0], 
        Hold[$CellContext`tso$$, $CellContext`tso$9464$$, 0], 
        Hold[$CellContext`ubezpieczenie$$, $CellContext`ubezpieczenie$9465$$, 
         False], 
        Hold[$CellContext`alpha$$, $CellContext`alpha$9466$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`lxm = CompressedData["
1:eJwt0M8rw3Ecx/GvIielnOZiDjspphW1qI/82kxaLm4aWmk7+B78AXPktOai
5cc3J0SElNu3FJnLEilR32VtZOPL/Fi7EM/39/Lo/f6+Pu/35/ttnpwZDVdp
mhbW5ImU1R+xEXEYVQBDQ2j60S0aPnSK8UG0ByQnhvrFPgz2Sq5H9iipu2Wu
V/IdMqcd9RbZ45L7NKHlkPMNmK6TfK30Ndlb+eb7Shgs4F4WjTusv8J0SjSl
f4T6lvRXUIujHZO5uvTHJefHuEdyjWj+fPE+I5poLKM1iyG/1A6sz31yfgcN
HWOt6M5/cM8kun2o7BL3SKBqw+DpO/PHUGXfmBdFu2jzn6Jonr/yfQcv5BeL
/zojBerOZ6w8MXf/kfxEnlxNjv5alr7ngX1mhnMBi3r7nn2pW/rlG+qua1y9
5LwrjZsXnJs6o547wWoTrWOcP8TKLk5voHcdl5JoJ1AtqF8k9dPH
         "]; $CellContext`dxm = CompressedData["
1:eJyF0LtKA0EUxvH1BazEUqIECSIhCFYKDtiIhcQgajSIiS7ewBsSA6IsXjAB
kRhXDBp0k3h5Bcs8QbCwEgvLFBZ5AAuL759mG7f57Zk558yZ6U5txew2y7Js
i885MPoZwUHswyD2/GMrr9dXH8YBX/8hHMVxaSZlbYr1Gen4NFhrrc9inLo5
YjTz5CeIF2RgkThJfkp+LxHb7K/gmvQ2iDeJt2V0V0b2iNPsZ1jnvZuHMuMw
xzHnnjDnGZ7LRk6GLmT+Umbz8uOK/tfSdeXvjVy9Ja8oh+9k8V7+lKh/kMuP
csyTn7hepi8WKjJcle+YfpJdz9wDYy+yjqFXOY0T2I4ueV/UN+lb55xTzu9k
ng7mbnAvj/smeIf+gozyfm9Z5N29IxnZl4Ed8wcRNnI5
         "]; $CellContext`lxk = CompressedData["
1:eJwtzz8ohHEcx/GHuoWEgeUG5BKSLul05Hr8y38ebpLSpW5gIRax3GYxPCkG
Bs/AdsOVTeIMUpROijLouCS6/D9MEu/Ps7z6fp/vv1/Z+NRwOMswjLChb/Lb
/CMUxNgQOhYa0h7EUukMKJZ2v+rldB8melUnrR7t61bcpf+dmOzASLvmtSlu
UWxqX0B9zdrTpLpG9PqVb9Aen+6uV74O417Nq9W8Gt1fJSuUL1dcovvd6i9W
f6Hm5mqfS/f+fJHPoJPG0C2+XKD3GI1dtKKK19W/iPaM6kc1p0VzPBhzYST1
+W/BHloriifQ9KPjUnya+Te5jNNBjOejc/TBHfOYrETz7J17ZjGeh4mNN/ZV
YunWK/cVoT33wvvWnpnneWLeclr3P6L7gXcG7qkfuiM/ksKxGzy9Zn/mirrW
S/L75+QXEuSzTzB2yP+cA+LqHVzdxqUo+jbNX87AyUk=
         "]; $CellContext`dxk = CompressedData["
1:eJyNz80rRGEUx/FrZ21tcUkWsxAZRkk9kpqUmm6KhKbJTCk1ZLxMTRmaaJLI
a0iukWS6hqWllSwtJmtLC2n+hFn8vndzS82z+TznOec8p9OWSDvJJsuykhbH
XTO6DGIPdmBrQBvbG7QTQ9gVmNOLYezHCA4EjATq+v7Rz/t9/n5DaGR+GEdw
lHyUeAzHMYaOfJuQZpK+aeJZGY9jgr55+Z0iXqB+kbo0LsvuFVyVS+vyM0uc
o39T2lvydZt/CrzvyNqu/ChStydf9okP5O+hbD6S4WOZO5E/p7JwLmcuyF8x
51rOufLvVpbuZOZeOg8y9Mjcssx7svokvypy41lWMIPv5F3qW+i3+a/KnChz
z0rSu5GxS2nYy2P/qaKpAzp4Z9Q=
         "]; 
       If[$CellContext`ubezpieczenie$$ == False, $CellContext`alpha$$ = 0]; 
       If[$CellContext`plec$$ === 
         "Kobieta", {$CellContext`lx = $CellContext`lxk, $CellContext`dx = \
$CellContext`dxk}, {$CellContext`lx = $CellContext`lxm, $CellContext`dx = \
$CellContext`dxm}]; $CellContext`v = 
        1/(1 + $CellContext`tso$$); $CellContext`Dx = 
        Table[$CellContext`v^$CellContext`x 
          Part[$CellContext`lx, $CellContext`x + 1], {$CellContext`x, 0, 
           Length[$CellContext`lx] - 1}]; $CellContext`Cx = 
        Table[$CellContext`v^($CellContext`x + 1) (
           Part[$CellContext`lx, $CellContext`x + 1] - 
           Part[$CellContext`lx, $CellContext`x + 2]), {$CellContext`x, 0, 
           Length[$CellContext`lx] - 2}]; $CellContext`Nx = Table[
          Sum[
           
           Part[$CellContext`Dx, $CellContext`k], {$CellContext`k, \
$CellContext`x, 
            Length[$CellContext`Dx]}], {$CellContext`x, 1, 
           Length[$CellContext`Dx]}]; $CellContext`Mx = Table[
          Sum[
           
           Part[$CellContext`Cx, $CellContext`k], {$CellContext`k, \
$CellContext`x, 
            Length[$CellContext`Cx]}], {$CellContext`x, 1, 
           Length[$CellContext`Cx]}]; $CellContext`Rx = Table[
          Sum[
           
           Part[$CellContext`Mx, $CellContext`k], {$CellContext`k, \
$CellContext`x, 
            Length[$CellContext`Mx]}], {$CellContext`x, 1, 
           Length[$CellContext`Mx]}]; $CellContext`axn[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := (Part[$CellContext`Nx, $CellContext`x + 1] - 
          Part[$CellContext`Nx, $CellContext`x + 1 + $CellContext`n])/
         Part[$CellContext`Dx, $CellContext`x + 1]; $CellContext`nax[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        Part[$CellContext`Nx, $CellContext`x + 1 + $CellContext`n]/
         Part[$CellContext`Dx, $CellContext`x + 1]; $CellContext`IAxn[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := (Part[$CellContext`Rx, $CellContext`x + 1] - 
          Part[$CellContext`Rx, $CellContext`x + 
           1 + $CellContext`n] - $CellContext`n 
          Part[$CellContext`Mx, $CellContext`x + 1 + $CellContext`n])/
         Part[$CellContext`Dx, $CellContext`x + 
          1]; $CellContext`skladka = $CellContext`em$$ \
($CellContext`nax[$CellContext`wiek$$, \
$CellContext`okres$$]/($CellContext`axn[$CellContext`wiek$$, \
$CellContext`okres$$] - $CellContext`alpha$$ \
$CellContext`IAxn[$CellContext`wiek$$, $CellContext`okres$$])); Grid[{{
           Column[{
             Style[
             "Kalkulator sk\[LSlash]adki na \:015bwiadczenie emerytalne:", 30,
               Black, Bold], 
             Style["  ", 20], 
             Style[
             "Poni\:017cszy kalkulator pozwala w szybki spos\[OAcute]b \
policzy\[CAcute] sk\[LSlash]adk\:0119 na przysz\[LSlash]e \:015bwiadczenie \
emerytalne wyp\[LSlash]acane raz do roku. Wystarczy poda\[CAcute] dane dotycz\
\:0105ce p\[LSlash]ci i wieku ubezpieczonego (w przedziale od 18 do 70 lat), \
okres wp\[LSlash]acania sk\[LSlash]adek (maksymalnie 99 minus wiek \
ubezpieczonego)- uiszczanych raz do roku, oraz oczekiwan\:0105 wysoko\:015b\
\[CAcute] emerytury (maksymalnie 100000 rocznie). Kalkulator mo\:017ce uwzgl\
\:0119dni\[CAcute] tak\:017ce dodatkowe ubezpieczenie. Benefit ten jest wyp\
\[LSlash]acany rodzinie w razie \:015bmierci ubezpieczonego przed \
osi\:0105gni\:0119ciem wieku emerytalnego. Wysoko\:015b\[CAcute] dodatkowego \
\:015bwiadczenia to suma dotychczas wp\[LSlash]aconych sk\[LSlash]adek \
przemno\:017cona przez wsp\[OAcute]\[LSlash]czynnik \[Alpha] (z przedzia\
\[LSlash]u od 0 do 1). Nale\:017cy jednak pami\:0119ta\[CAcute], \:017ce sk\
\[LSlash]adka ro\:015bnie wraz ze wzrostem poziomu \[Alpha]. ", TextAlignment -> 
              Center], 
             Style[" ", 35], 
             Text[
              Row[{
                Style["Dane wprowadzone przez ubezpieczonego:", 18]}]], 
             Text[
              Row[{" "}]], 
             Text[
              Row[{"P\[LSlash]e\[CAcute]: ", $CellContext`plec$$}]], 
             Text[
              Row[{"Wiek ubezpieczonego: ", $CellContext`wiek$$}]], 
             Text[
              Row[{"Okres ubezpieczenia: ", 
                AccountingForm[$CellContext`okres$$]}]], 
             Text[
              
              Row[{"Oczekiwana wysoko\:015b\[CAcute] rocznego \
\:015bwiadczenia emerytalnego: ", 
                AccountingForm[$CellContext`em$$], " z\[LSlash]"}]], 
             Text[
              
              Row[{"Techniczna stopa oprocentowania: ", $CellContext`tso$$ 
                100, "%"}]], 
             Text[
              Row[{"Z dodatkowym ubezpieczeniem: ", 
                If[$CellContext`ubezpieczenie$$ == False, "nie", "tak"]}]], 
             Text[
              
              Row[{"Wsp\[OAcute]\[LSlash]czynnik \[Alpha] : ", \
$CellContext`alpha$$ 100 "%"}]], 
             Text[
              Row[{" "}]], 
             Text[
              Row[{
                Style[
                "Dla powy\:017cszych danych, wysoko\:015b\[CAcute] \
sk\[LSlash]adki, p\[LSlash]aconej raz na rok, wynosi: ", 18], 
                Style[
                 Round[$CellContext`skladka, 0.01], 30, Bold, Red], 
                Style[" z\[LSlash]", 30, Bold, Red]}]]}]}, {
           Style[" ", 45]}, {
           Style[
           "Dlaczego taka sk\[LSlash]adka?  ", 18, FontColor -> Red, 
            FontWeight -> Bold]}, {
           Style[
           "Wysoko\:015b\[CAcute] sk\[LSlash]adki zwi\:0105zana jest z \
wieloma czynnikami: z wysoko\:015bci\:0105 oczekiwanego \:015bwiadczenia \
emerytalnego, z okresem p\[LSlash]acenia sk\[LSlash]adek, \
wysoko\:015bci\:0105 dodatkowego ubezpieczenia. Zauwa\:017cmy, \:017ce wysoko\
\:015b\[CAcute] sk\[LSlash]adki jest te\:017c \:015bci\:015ble zwi\:0105zana \
z p\[LSlash]ci\:0105 oraz wiekiem ubezpieczonego. Zjawisko to \
t\[LSlash]umaczy wykres przedstawiony poni\:017cej:", TextAlignment -> 
            Center]}, {
           Style["  ", 45]}, $CellContext`tpx[
             Pattern[$CellContext`t$, 
              Blank[]]] := 
           If[$CellContext`t$ == 0, 0, 
             Part[$CellContext`lx, $CellContext`wiek$$ + 1 + $CellContext`t$]/
             Part[$CellContext`lx, $CellContext`wiek$$ + 
              1]]; $CellContext`lista = Flatten[{
              Table[0, $CellContext`wiek$$], 
              
              Table[$CellContext`i, {$CellContext`i, 1, 
                100 - $CellContext`wiek$$}]}]; {
            Show[
             ListLinePlot[
              Map[$CellContext`tpx, $CellContext`lista], 
              ImageSize -> {500, 320}, PlotRange -> {{1, 100}, {0, 1}}, Frame -> 
              True, FrameLabel -> {
                Style["Wiek", 15], 
                Style["Prawdopodobie\:0144stwo prze\:017cycia", 15]}, 
              PlotStyle -> Red, Filling -> Axis, GridLines -> Automatic, 
              PlotLegends -> {
               "Dalsze trwanie \:017cycia osoby w danym wieku "}], 
             ListLinePlot[
             Part[$CellContext`lx, Range[100] + 1]/Part[$CellContext`lx, 1], 
              ImageSize -> {500, 320}, PlotStyle -> Blue, Filling -> Axis, 
              PlotLegends -> {
               "Rozk\[LSlash]ad trwania \:017cycia noworodka"}], PlotLabel -> 
             Style["Rozk\[LSlash]ad trwania \:017cycia", 20]]}}]), 
      "Specifications" :> {" ", Delimiter, " ", Delimiter, 
        Style[
        "Wprowad\:017a dane:", 18, FontColor -> RGBColor[1, 0, 0], FontWeight -> 
         Bold], " ", 
        Style[
        "Pola obowi\:0105zkowe:", 13, 
         Bold], {{$CellContext`plec$$, "Kobieta", "P\[LSlash]e\[CAcute]:"}, {
         "Kobieta", "M\:0119\:017cczyzna"}}, {{$CellContext`wiek$$, 35, 
          "Wiek:"}, 18, 70, 1, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`okres$$, 30, "Okres ubezpieczenia: "}, 1, 
         Dynamic[99 - $CellContext`wiek$$], 1, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`em$$, 12000, 
          "Oczekiwana wysoko\:015b\[CAcute] \:015bwiadczenia emerytalnego: "},
          0, 100000, 500, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`tso$$, 0.03, 
          "Techniczna stopa oprocentowania: "}, 0, 0.25, 0.005, ImageSize -> 
         Small, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "Pola opcjonalne:", 13, 
         Bold], {{$CellContext`ubezpieczenie$$, False, 
          "Dodatkowe ubezpieczenie:"}, {
         True, False}}, {{$CellContext`alpha$$, 0, 
          "Wsp\[OAcute]\[LSlash]czynnik \[Alpha]"}, 0, 1, 0.001, ImageSize -> 
         Small, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols -> True, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1280., {506., 513.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6918348962577586`*^9, 3.691834941130717*^9, 3.6918350128478165`*^9, 
   3.6918351157381268`*^9, 3.691835191959589*^9, {3.691835265814208*^9, 
   3.6918353020570445`*^9}, 3.691835367355576*^9, 3.691836952926592*^9, 
   3.6918370379965563`*^9, 3.6919077098423557`*^9, {3.6919254496043887`*^9, 
   3.691925478765232*^9}, 3.6932835151852865`*^9, 3.6932838859614515`*^9, 
   3.6996338106516027`*^9}]
}, Open  ]],

Cell[BoxData[{"Bibliografia", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"1.", " ", "Ubezpieczenia", " ", "na", " ", "\:017cycie"}], "  ", 
  "-", " ", 
  RowBox[{"Mariusz", " ", "Ska\[LSlash]ba", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"wyd", ".", "II"}], "-", "2002"}], ":", 
      RowBox[{
       RowBox[{"Wydawnictwa", " ", "Naukowo"}], "-", "Techniczne"}]}], ",", 
     RowBox[{"ISBN", " ", "8320427096"}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"2.", 
   RowBox[{"http", ":"}]}], "//", 
  RowBox[{
   RowBox[{
    RowBox[{"stat", ".", "gov", ".", "pl"}], "/", "obszary"}], "-", 
   RowBox[{
    RowBox[{"tematyczne", "/", "ludnosc"}], "/", "trwanie"}], "-", 
   "zycia"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"3.", " ", 
   RowBox[{"http", ":"}]}], "//", 
  RowBox[{
   RowBox[{"demonstrations", ".", "wolfram", ".", "com"}], "/", 
   "LifeExpectancyInTheUSPopulation"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"4.", " ", 
   RowBox[{"http", ":"}]}], "//", 
  RowBox[{
   RowBox[{"demonstrations", ".", "wolfram", ".", "com"}], "/", 
   "NetAndGrossReserveOfLifeInsurance"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"5.", "  ", 
   RowBox[{"http", ":"}]}], "//", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"reference", ".", "wolfram", ".", "com"}], "/", "language"}], 
    "/", "tutorial"}], "/", 
   RowBox[{"IntroductionToManipulate", ".", "html"}]}]}]}], "Input",
 CellChangeTimes->{{3.6915149452909126`*^9, 3.6915149659877024`*^9}, {
   3.69151504542292*^9, 3.691515073839368*^9}, 3.6917523399661074`*^9, {
   3.691752396187176*^9, 3.6917524027988873`*^9}, {3.6918475241553774`*^9, 
   3.6918475448471246`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 197, 4, 166, "Title"],
Cell[CellGroupData[{
Cell[802, 30, 145, 2, 70, "Section"],
Cell[950, 34, 165, 5, 109, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1152, 44, 102, 1, 70, "Section"],
Cell[1257, 47, 170, 3, 49, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1464, 55, 100, 1, 70, "Section"],
Cell[1567, 58, 1111, 16, 87, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2715, 79, 103, 1, 70, "Section"],
Cell[2821, 82, 18098, 536, 2024, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20956, 623, 96, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[21077, 628, 47097, 969, 3461, "Input"],
Cell[68177, 1599, 15053, 296, 1069, "Output"]
}, Open  ]],
Cell[83245, 1898, 1705, 46, 126, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

